package com.huatek.busi.constant;

/**
 * swagger2常量定义
 *
 * @author anker cheng
 *
 * @Date 2019年7月2日
 */
public interface ApiConstant {

    String TITLE = "状态检修运维管理平台API文档";
    interface Tags {
    	String APP_INDEX_DATA = "APP主界面API接口";
    	String APP_LOGIN="APP登录API接口";
    	String OIL_WARNNNING_THRESHOLD = "App油色谱告警及阈值";
    	String BUSI_YSP_SENSOR_THRESHOLD ="变压器油色谱传感器阈值";
    	String BUSI_TXJJ_SENSOR_THRESHOLD ="变压器铁芯夹件传感器告警及阈值";
        String BUSI_TXJJ_SENSOR_THRESHOLD_INFO ="根据sensorCode、runstate获取变压器铁芯夹件传感器阈值详情";
        String BUSI_TXJJ_SENSOR_THRESHOLD_INFO_SENSORCODE ="根据sensorCode获取变压器铁芯夹件传感器阈值详情";
        String BUSI_TG_SENSOR_THRESHOLD = "变压器套管告警及阈值";
        String BUSI_TG_SENSOR_THRESHOLD_INFO_SENSORCODE="根据sensorCode获取变压器套管阈值";
        String BUSI_TG_SENSOR_THRESHOLD_INFO ="根据变sensorCode、runState获取压器套管阈值";
        String SF_WARNNING_THRESHOLD="SF6告警及阈值";
        String PD_WARNNING_THRESHOLD="局放告警信息";
        String TEMPER_WARNNING_THRESHOLD="测温告警及阈值";
        String INFRARED_THRESHOLD="红外热成像告警及阈值";
        String WINDING_THRESHOLD="绕组测温告警及阈值";
        String TRANSFORMERRUNSTATUSTHRESHOLD="变压器运行工况告警及阈值";
        String ARRESTER_WARNNING_THRESHOLD="避雷器告警及阈值";
        String BUSI_SUB_PAGE_CURVE = "APP告警折线图接口";
        String APP_PHOTO_WARNING_API = "APP读表告警API";

        String SF_ENV_WARNNING_THRESHOLD="SF6环境告警及阈值";
    }
}
