package com.huatek.busi.controller.helper;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * GIS检修单处理参数Dto
 * 
 * @author anker_cheng
 * @date 2019/08/15
 */
@ApiModel(value = "BusiGisRepairParamDto", description = "GIS检修单处理参数Dto")
@Data
public class BusiGisRepairParamDto implements Serializable {
    private static final long serialVersionUID = -7584181846599496492L;

    @ApiModelProperty(name = "ids", value = "GIS检修单ID数组")
    private List<String> ids;

    @ApiModelProperty(name = "dealResult", value = "处理结果")
    private String dealResult;
}
