package com.huatek.busi.dto;

import java.io.Serializable;
import java.util.List;

import lombok.Data;

/**
 * sensor查询参数Dto
 * 
 * @author anker_cheng
 * @date 2019/10/31
 */
@Data
public class BusiSensorQueryParamDto implements Serializable {

    private static final long serialVersionUID = 1L;

    private String sensorCode;

    /**
     * 外挂设备类型
     */
    private String equipmentType;

    /**
     * 外挂设备类型数组
     */
    private List<String> equipmentTypeList;

    /**
     * 外挂设备树ID
     */
    private String equipmentId;

    /**
     * 主设备类型
     */
    private String mainEquipmentType;

    /**
     * 站点设备树ID
     */
    private String mainEquipmentId;
}
