package com.huatek.busi.dto;

import com.huatek.torch.sql.beans.PageBean;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 测温统计Dto
 * 
 * @author anker_cheng
 * @date 2019/10/23
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class CwzzTemperatureStatisticsDto extends PageBean implements Serializable {
    private static final long serialVersionUID = 1L;

    private String siteId;

    private String mainTreeId;

    private String sensorCode;

    private LocalDateTime startTime;

    private LocalDateTime endTime;

    private String cacMonitorTypeCode;
}
