package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;
@Data
@EqualsAndHashCode(callSuper = false)
public class GisSf6ThresholdDto  extends Pojo implements Serializable{
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    private String id;

    /**
     * sensor编码
     */
    private String sensorCode;

    /**
     * Sf6温度（℃）阈值
     */
    private String sf6wd;

    /**
     * sf6微水(μL/L）阈值
     */
    private String sf6ws;

    /**
     * sf6压力(MPa)阈值
     */
    private String sf6yl;

    /**
     * sf6温度增长率(%)阈值
     */
    private String sf6wdzzl;

    /**
     * sf6微水增长率(%)阈值
     */
    private String sf6wszzl;

    /**
     * sf6日泄漏率(%)
     */
    private String sf6rxll;

    /**
     * sf6月泄漏率(%)
     */
    private String sf6yxll;

    /**
     * Sf6温度（℃）预警值
     */
    private String sf6wdWarn;

    /**
     * sf6微水(μL/L）预警值
     */
    private String sf6wsWarn;

    /**
     * sf6压力(MPa)预警值
     */
    private String sf6ylWarn;

    /**
     * sf6微水增长率(%)预警值
     */
    private String sf6wszzlWarn;

    /**
     * sf6日泄漏率(%)预警值
     */
    private String sf6rxllWarn;

    /**
     * sf6月泄漏率(%)预警值
     */
    private String sf6yxllWarn;
    
    /**
     * 创建时间
     */
    private LocalDateTime createdTime;

    /**
     * 创建人ID
     */
    private String creator;

    /**
     * 修改时间
     */
    private LocalDateTime modifiedTime;

    /**
     * 修改人ID
     */
    private String modifierId;
}