package com.huatek.busi.dto;

import com.huatek.torch.sql.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 告警推送dto
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PushAlarms")
public class PushAlarmsDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private String warningId;

    /**
     * 故障大类1：变压器，2：gis，3：避雷器，4：测温柜
     */
    private String eqType;

    private String gzType;

    private String mainTreeId;

    /**
     * 传感器id
     */
    private String sensorCode;

    /**
     * 站点Id
     */
    private String siteId;

    /**
     * 预警信息
     */
    private String warningMsg;

}
