package com.huatek.busi.dto;

import io.swagger.annotations.*;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@ApiModel("报告参数出参")
public class RParamBasicDataDto implements Serializable {

    @ApiModelProperty(value = "id", name = "唯一主键标识")
    private String id;

    @ApiModelProperty(value = "mainEquId", name = "主设备编号")
    private String mainEquId;

    @ApiModelProperty(value = "mainEquName", name = "主设备名称")
    private String mainEquName;

    @ApiModelProperty(value = "paramValue", name = "试验项目")
    private String paramValue;

    @ApiModelProperty(value = "remark", name = "备注")
    private String remark;

    @ApiModelProperty(value = "createUser", name = "创建者")
    private String createUser;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "updateUser", name = "更新者")
    private String updateUser;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime", name = "更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "deleted", name = "是否删除 0否 1是")
    private String deleted;
}
