package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@TableName("busi_cable_threshold")
public class BusiCableThreshold extends Pojo implements Serializable {

    private static final long serialVersionUID = 5717366002861553488L;

    @FieldName("id")
    @Id(value = "id")
    private String id;

    @FieldName("site_id")
    private String siteId;

    @FieldName("main_tree_id")
    private String mainTreeId;

    @FieldName("sensor_code")
    private String sensorCode;

    @FieldName("run_state")
    private String runState;

    @FieldName("elect_threshold_val")
    private String electThresholdVal;

    @FieldName("elect_prewarning_val")
    private String electPrewarningVal;

    @FieldName("relative_growth_day_val")
    private String relativeGrowthDayVal;

    @FieldName("relative_growth_month_val")
    private String relativeGrowthMonthVal;

    @FieldName("relative_growth_prewarning_day_val")
    private String relativeGrowthPrewarningDayVal;

    @FieldName("relative_growth_prewarning_month_val")
    private String relativeGrowthPrewarningMonthVal;

    @FieldName("created_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createdTime;

    @FieldName("creator")
    private String creator;

    @FieldName("modified_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime modifiedTime;

    @FieldName("modifier")
    private String modifier;
}
