package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;

import java.io.Serializable;

@Data
public class EquipmentSumCache extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    @FieldName("id")
    private String id;

    /**
     * 总数
     */
    @FieldName("number")
    private Integer sumNumber;

    /**
     * 正常数
     */
    @FieldName("normal_number")
    private Integer sumNormal;


    /**
     * 异常数
     */
    @FieldName("fault_number")
    private Integer sumFault;

    /**
     * 异常数
     */
    @FieldName("type")
    private String type;

    /**
     * normalIds
     */
    @FieldName("normal_ids")
    private String normalIds;


    /**
     * faultIds
     */
    @FieldName("fault_ids")
    private String faultIds;


}
