package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;

import java.io.Serializable;

@Data
public class GisStatus extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 站点id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 设备id
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;


    /**
     * 设备名称名称
     */
    @FieldName("gis_name")
    private String gisName;

    /**
     * 设备状态
     */
    @FieldName("status")
    private String status;


    /**
     * 关联变压器状态
     */
    @FieldName("stype")
    private String stype;

    /**
     * 设备告警状态
     */
    @FieldName("warning_type")
    private String warningType;


    /**
     * 断开电流
     */
    @FieldName("abort_current")
    private String abortCurrent;

    /**
     * 断开电压
     */
    @FieldName("abort_voltage")
    private String abortVoltage;

    /**
     * 变压器运行参数设备id
     */
    @FieldName("eqm_code")
    private String eqmCode;

    /**
     * 展示变压器优先级
     */
    @FieldName("prior")
    private String prior;


}
