package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class HomeTitleName extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    @FieldName("id")
    private String id;



    /**
     * 首页标配名称
     */
    @FieldName("titleName")
    private String titleName;

    /**
     * 创建时间
     */
    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;


}
