package com.huatek.busi.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 考评指标——单元考核指标 Vo
 *
 * @author anker_cheng
 * @date Jul 23, 2019 9:50:41 AM
 */
@ApiModel(value = "BusiEvaMonitorUnitIndicatorsVo", description = "考评指标——单元考核指标 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiEvaMonitorUnitIndicatorsVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 单元考核指标名称
     */
    @ApiModelProperty(name = "name", value = "单元考核指标名称")
    private String name;

    @ApiModelProperty(name = "attr", value = "考核指标编码")
    private String attr;
    
    /**
     * 传感器名称
     */
    @ApiModelProperty(name = "sensorName", value = "传感器名称")
    private String sensorName;
    
    /**
     * 传感器安装位置
     */
    @ApiModelProperty(name = "sensorInstallLocation", value = "传感器安装位置")
    private String sensorInstallLocation;
}