package com.huatek.busi.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 故障主分类表 Vo
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:15:42 PM
 */
@ApiModel(value = "FaultTypesVo", description = "故障主分类表 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class FaultTypesVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;
    /**
     * 故障类型名称
     */
    @ApiModelProperty(name = "faultName", value = "故障类型名称")
    private String faultName;
}