package com.huatek.busi.vo;

import java.io.Serializable;
import java.math.BigDecimal;

import lombok.Data;

/**
 * SF6统计Vo
 * 
 * @author anker_cheng
 * @date 2019/10/23
 */
@Data
public class GisSf6PressureStatisticsVo implements Serializable {
    private static final long serialVersionUID = -7139074851566166372L;

    private String siteId;

    private String mainTreeId;

    private String subTreeId;

    private String mainEquipmentId;

    private String subEquipmentId;

    private String sensorCode;

    private String cacMonitorTypeCode;

    private Integer dataCount;

    private BigDecimal avgTemperature;
    private BigDecimal avgAbsolutePressure;
    private BigDecimal avgDensity;
    private BigDecimal avgMoisture;
    private BigDecimal avgPressure20C;
    private BigDecimal aveDailyLeakRate;
}
