package com.huatek.busi.vo;

import com.huatek.torch.sql.annotation.FieldName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
public class HomeActualDataVo implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * name
     */
    @ApiModelProperty(name = "name", value = "name")
    private String name;

    /**
     * value
     */
    @ApiModelProperty(name = "value", value = "value")
    private String value;

    @ApiModelProperty(value = "数据采集时间，格式为：yyyy-MM-dd HH:mm:ss",  name="dTime")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dTime;


    @ApiModelProperty(name = "thresholdValue", value = "阈值")
    private String thresholdValue;


}
