package com.huatek.busi.vo;

import java.io.Serializable;
import java.math.BigDecimal;

import lombok.Data;

/**
 * 气象统计Vo
 * 
 * @author anker_cheng
 * @date 2019/10/23
 */
@Data
public class MeteorologicalStatisticsVo implements Serializable {
    private static final long serialVersionUID = 4705034784797368531L;

    private String siteId;

    private String mainTreeId;

    private String subTreeId;

    private String mainEquipmentId;

    private String subEquipmentId;

    private String sensorCode;

    private String cacMonitorTypeCode;

    private Integer dataCount;

    private BigDecimal avgAirTemperature;
    private BigDecimal avgAirPressure;
    private BigDecimal avgHumidity;
    private BigDecimal avgPrecipitation;
    private BigDecimal avgPrecipitationIntensity;
    private BigDecimal avgRadiationIntensity;
    private BigDecimal avgWdgustspd;
}
