package com.huatek.busi.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * Vo
 *
 * @author anker_cheng
 * @date Oct 28, 2019 4:24:52 PM
 */
@ApiModel(value = "RptTemperRecordChartsVo", description = " Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class RptTemperRecordChartsVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "")
    private String id;

    /**
     * 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    /**
     * 站点设备树ID
     */
    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;

    /**
     * 主设备ID
     */
    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;

    /**
     * sensiorID
     */
    @ApiModelProperty(name = "sensorId", value = "sensorId")
    private String sensorId;

    /**
     * 温度
     */
    @ApiModelProperty(name = "temper", value = "温度")
    private BigDecimal temper;

    /**
     * 汇总时间时间
     */
    @ApiModelProperty(name = "hzTime", value = "汇总时间")
    private LocalDate hzTime;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private LocalDateTime createTime;
}