package com.huatek.busi.vo.echarts;

import com.google.common.collect.Lists;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Comparator;
import java.util.List;
import java.util.TreeSet;

/**
 * Echarts接口响应数据
 * 
 * @author anker_cheng
 * @date 2019/09/02
 */
@Data
@ApiModel(value = "EchartLineDataVo", description = "Echart Line Vo")
public class CircleEchartLineDataVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("摆度x轴charts图封装数据")
    private CirCleChartVo xChartVo;

    @ApiModelProperty("摆度y轴charts图封装数据")
    private CirCleChartVo yChartVo;
}
