/**
 *
 */
package com.huatek.busi.vo.epa;

import java.io.Serializable;

import lombok.Data;
import lombok.EqualsAndHashCode;


/**
  * @ClassName: EpaEvaluatRepairDataVo
  * @FullClassPath: com.huatek.busi.vo.epa.EpaEvaluatRepairDataVo
  * @Description: 评测维修数据
  * @author: Arno
  * @date: Sep 6, 2019 5:26:24 PM
  * @version: 1.0
  */

@Data
@EqualsAndHashCode(callSuper = false)
public class EpaEvaluatRepairDataVo implements Serializable {

	/** @Fields serialVersionUID : */
	private static final long serialVersionUID = 4275329921082668067L;

	/** @Fields total :次数 */
	public String total;

	/** @Fields parts : 缺陷部件：1(本体) 2:冷却系统、3:分接开关、4:非电量保护装置、5:套管*/
	public String parts;

	/** @Fields type : 缺陷类别：1-一般、2-重大、3-紧急*/
	public String type;

	/** @Fields name : 打标规则*/
	public String name;

}

