package com.huatek.busi.vo.index;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 主界面实时数据接口Vo
 * 
 * @author anker_cheng
 * @date 2019/07/10
 */
@ApiModel(value = "IndexEquipListDataVo", description = "主界面实时数据接口Vo")
@Data
public class IndexEquipListDataVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "equipList", value = "设备列表")
    private List<IndexEquipCodeVo> equipList;

    @ApiModelProperty(name = "equipInfo", value = "设备信息")
    private IndexEquipInfoVo equipInfo;
}
