package com.huatek.busi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;

@Data
@ApiModel(value = "labRulesVo", description = "试验报告打标规则Vo")
public class labValueVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "eRule", name = "打标参数规则", required = true)
    private String eRule;

    @ApiModelProperty(value = "currentValue", name = "当前值")
    private String currentValue;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "testDate", name = "试验日期")
    private LocalDate testDate;


}
