package com.huatek.busi.vo.routinetest.arrester;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 放电计数器动作情况
 * 
 * @author buck_guo
 * @date 2019/08/26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "DischargeCountingAction", description = "放电计数器动作情况")
public class DischargeCountingAction implements Serializable {
    /**
    *
    */
    private static final long serialVersionUID = 1L;
    /**
     * 实验内容
     */
    @ApiModelProperty(name = "experimentContent", value = "实验内容")
    private String experimentContent;
    
    /**
     * 实验设备
     */
    @ApiModelProperty(name = "experimentApparatus", value = "实验设备")
    private String experimentApparatus;
    
    private List<DischargePhase> items;
//    /**
//     * 实验设备
//     */
//    @ApiModelProperty(name = "experimentApparatus", value = "实验设备")
//    private String experimentApparatus;
//    /**
//     * 放电计数器动作 -相别A
//     */
//    @ApiModelProperty(name = "dischargePhaseA", value = "放电计数器动作 -相别A")
//    private DischargePhaseA dischargePhaseA;
//    /**
//     * 放电计数器动作 -相别B
//     */
//    @ApiModelProperty(name = "dischargePhaseB", value = "放电计数器动作 -相别B")
//    private DischargePhaseB dischargePhaseB;
//    /**
//     * 放电计数器动作 -相别C
//     */
//    @ApiModelProperty(name = "dischargePhaseC", value = "放电计数器动作 -相别C")
//    private DischargePhaseC dischargePhaseC;
}
