package com.huatek.busi.vo.routinetest.arrester;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 放电计数器动作 -相别C
 * 
 * @author buck_guo
 * @date 2019/08/26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "DischargePhaseC", description = "放电计数器动作 -相别C")
public class DischargePhaseC implements Serializable {
    /**
     *
     */
    private static final long serialVersionUID = 1L;
    /**
     * 动作
     */
    @ApiModelProperty(name = "action", value = "动作")
    private String action;
    /**
     * 计数器
     */
    @ApiModelProperty(name = "counter", value = "计数器")
    private String counter;
}
