package com.huatek.busi.vo.rpt;

import java.io.Serializable;
import java.math.BigDecimal;

import lombok.Data;

@Data
public class RptAretMonitorSummaryQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private String siteId;
    private String mainTreeId;
    private String subTreeId;

    private String mainEquipmentId;
    private String subEquipmentId;

    private BigDecimal totalActionCount;

    private String phaseA;
    private BigDecimal totalCurrentA;
    private BigDecimal resistiveCurrentA;

    private String phaseB;
    private BigDecimal totalCurrentB;
    private BigDecimal resistiveCurrentB;

    private String phaseC;
    private BigDecimal totalCurrentC;
    private BigDecimal resistiveCurrentC;
}
