package com.huatek.busi.vo.warning;

import java.io.Serializable;
import java.util.List;

import com.huatek.busi.vo.BusiSubInfoVo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 避雷器二级页面数据 Vo
 * 
 * @author anker_cheng
 * @date 2019/08/12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "BusiArresterVo", description = "避雷器二级页面数据 Vo")
public class BusiArresterVo extends BusiSubInfoVo implements Serializable {
    private static final long serialVersionUID = -1172067195327599606L;

    private List<BusiArresterItemVo> list;
    
    @ApiModelProperty(name = "offlineReportNumber", value = "例行试验次数")
    private Integer offlineReportNumber;
}
