package com.huatek.busi.vo.warning;

import java.io.Serializable;

import com.huatek.busi.vo.BusiSubInfoVo;
import com.huatek.torch.sql.annotation.FieldName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
  * @ClassName: BusiPdVo
  * @FullClassPath: com.huatek.busi.vo.warning.BusiPdVo
  * @Description: 局方二级页面数据
  * @author: Arno
  * @date: Aug 12, 2019 6:20:41 PM
  * @version: 1.0
  */

@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "BusiPdVo", description = "局方二级页面数据 Vo")
public class BusiPdVo extends BusiSubInfoVo implements Serializable {
    private static final long serialVersionUID = -1172067195327599606L;

//    @ApiModelProperty(name = "phase", value = "相别 ")
//    private String phase;

    @ApiModelProperty(name = "dischargeCapacity", value = "放电量 ")
    private String dischargeCapacity ;

    @ApiModelProperty(name = "dischargePosition", value = "放电位置 ")
    private String dischargePosition ;

    @ApiModelProperty(name = "dischargeCount", value = "放电次数")
    private String dischargeCount;

    @ApiModelProperty(name = "dischargeType", value = "放电类型")
    private String dischargeType;
    @ApiModelProperty(name = "offlineReportNumber", value = "例行试验次数")
    private Integer offlineReportNumber;

    @ApiModelProperty(name = "dschType", value = "放电类型")
    private String dschType;

    @FieldName("pa_dsch_alm")
    @ApiModelProperty(name = "paDschAlm", value = "局部放电告警")
    private String paDschAlm;

    @ApiModelProperty(name = "pd_warning", value = "放电类型")
    private String pdWarning;


}

