package com.huatek.busi.vo.warning;

import java.io.Serializable;

import com.huatek.busi.vo.BusiSubInfoVo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @ClassName: BusiPhotoVo
 * @FullClassPath: com.huatek.busi.vo.warning.BusiPhotoVo
 * @Description: 图片二级页面数据
 * @author: ramon liu
 * @date: Aug 12, 2019 6:20:41 PM
 * @version: 1.0
 */

@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "BusiPdVo", description = "局方二级页面数据 Vo")
public class BusiPhotoVo extends BusiSubInfoVo implements Serializable {
   private static final long serialVersionUID = -1172067195327599606L;

   @ApiModelProperty(name = "sadr", value = "信息体地址")
   private String sadr;

   @ApiModelProperty(name = "thresholdValue", value = "告警阈值")
   private String thresholdValue ;

   @ApiModelProperty(name = "currRealValue", value = "当前采集值")
   private String currRealValue ;

   @ApiModelProperty(name = "equipmentStatus", value = "设备状态")
   private String equipmentStatus;
   
   @ApiModelProperty(name = "ipaddr", value = "服务器地址")
   private String ipaddr;

   @ApiModelProperty(name = "port", value = "端口号")
   private String port;
   
   @ApiModelProperty(name = "msgInfo", value = "告警信息")
   private String msgInfo;
 
   @ApiModelProperty(name = "phase", value = "相别 ")
   private String phase;
}