package com.huatek.busi.where;

import com.huatek.torch.sql.beans.PageBean;
import io.swagger.annotations.*;
import lombok.*;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "rParamBasicDataSelectVo", description = "报告参数条件查询")
public class RParamBasicDataSelectVo extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "paramValue", name = "参数名称")
    private String paramValue;

    @ApiModelProperty(value = "mainEquId", name = "主设备编号")
    private String mainEquId;

    @ApiModelProperty(value = "deleted",name = "是否删除 0否 1是")
    private String deleted;

}
