package com.huatek.busi.service;

import java.util.Date;
import java.util.List;

import com.huatek.busi.entity.BusiTransfromTemperatureExcess;

/**
 * 变压器红外测温时间 Service
 *
 * @author anker_cheng
 * @date Jun 28, 2019 1:21:02 PM
 */
public interface BusiTransfromTemperatureExcessService {
    /**
     * 保存获取更新
     * 
     * @param entity
     * @return
     */
    int saveOrUpdate(BusiTransfromTemperatureExcess entity);

    /**
     * 根据站点ID和站点设备树ID获取最新一条的BusiTransfromTemperatureExcess对象
     * 
     * @param siteId
     *            站点ID
     * @param mainTreeId
     *            站点设备树ID
     * @return 最近一条记录
     */
    BusiTransfromTemperatureExcess findBusiTransfromTemperatureExcess(String siteId, String mainTreeId);
    
    /** 
	* @Title: getEvalatuData 
	* @Description: TODO 
	* @createDate: Sep 11, 2019 4:32:03 PM
	* @param   
	* @return   List<BusiTransfromTemperatureExcess>    
	*/ 
	List<BusiTransfromTemperatureExcess> getEvalatuData(String mainEquipmentId, Date start, Date end);
}
