package com.huatek.busi.service.temperature;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.EquipmentInfoDto;
import com.huatek.busi.dto.RptTermperRecordDto;
import com.huatek.busi.entity.CwgTemperature;
import com.huatek.busi.vo.RptTermperRecordVo;

/**
 * 测温柜-全部测温点汇总表 Service
 *
 * @author anker_cheng
 * @date Jul 1, 2019 4:05:04 PM
 */
public interface RptTermperRecordService {

    /**
     * 分页查找查找 测温柜-全部测温点汇总表
     *
     * @param rptTermperRecordDto 测温柜-全部测温点汇总表Dto
     * @return Page<RptTermperRecordVo> 测温柜-全部测温点汇总表List
     */
    PageInfo<RptTermperRecordVo> findRptTermperRecordPage(RptTermperRecordDto rptTermperRecordDto);

    /**
     * 保存测温柜-全部测温点汇总记录
     * 
     * @param cacEntity
     * @return
     */
    int saveRptTermperRecord(CwgTemperature cacEntity, EquipmentInfoDto equipmentInfo);
}
