package com.huatek.busi.service.threshold;

import com.huatek.busi.dto.CapacitanceEquipmentInsulationMonitorThresholdDto;
import com.huatek.busi.entity.CapacitanceEquipmentInsulationMonitorThreshold;
import com.huatek.busi.vo.CapacitanceEquipmentInsulationMonitorThresholdVo;

/**
 * 容性设备-绝缘监测-阈值：022001 Service
 *
 * @author anker_cheng
 * @date Aug 5, 2019 5:29:26 PM
 */
public interface CapacitanceEquipmentInsulationMonitorThresholdService {

    /**
     * 获取阈值
     * 
     * @param mainTreeId
     *            站点设备树ID
     * @param state
     *            设备状态
     * @param sensorCode
     *            传感器编码
     * @return
     */
    CapacitanceEquipmentInsulationMonitorThreshold getCapacitanceEquipmentInsulationMonitorThreshold(String mainTreeId,
        String state, String sensorCode);

    CapacitanceEquipmentInsulationMonitorThresholdVo getThresholdVo(String state, String sensorCode);

    int saveOrUpdate(String token,
        CapacitanceEquipmentInsulationMonitorThresholdDto capacitanceEquipmentInsulationMonitorThresholdDto);
}
