/**
 *
 */
package com.huatek.busi.service.transformer;

import java.time.LocalDate;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.entity.TransformerEvaluationResults;
import com.huatek.busi.vo.TransformerEvaluationResultsVo;

/**
  * @ClassName: TransformerEvaluationResultsService
  * @Description: 变压器评测结果服务.
  * @author: Arno
  * @date: Sep 11, 2019 5:27:47 PM
  * @version: 1.0
  */

public interface TransformerEvaluationResultsService {

	public void save(TransformerEvaluationResults entity);

	public PageInfo<TransformerEvaluationResultsVo> page(String mainTreeId,LocalDate start, LocalDate end, Integer page, Integer limit, String type);

	TransformerEvaluationResultsVo findLatestResult(String mainTreeId);
}
