package com.huatek.busi.mapper;

import com.github.pagehelper.Page;
import com.huatek.busi.entity.BusiSiteTree;
import com.huatek.busi.entity.TransformerLoadRate;
import com.huatek.busi.vo.AppendixAssessmentResultVo;
import com.huatek.busi.vo.ArresterAssessmentResultVo;
import com.huatek.busi.vo.BusiGisCaculateStepVo;
import com.huatek.busi.vo.BusiParamTransformerVoluntarilyVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.time.LocalDate;
import java.util.List;

@Repository
public interface AppendixAssessmentResultMapper {

    Page<AppendixAssessmentResultVo> findAppendixAssessmentByMainTreeId(@Param("siteId")String siteId,
                                                                        @Param("mainTreeId")String mainTreeId,
                                                                        @Param("startTime") LocalDate startTime,
                                                                        @Param("endTime") LocalDate endTime,
                                                                        @Param("type") String type);

    BusiGisCaculateStepVo findCalculateStep(String pid);


    List<BusiParamTransformerVoluntarilyVo> findBusiBlqParam(@Param("siteId") String siteId,
                                          @Param("mainTreeId") String mainTreeId,
                                          @Param("number") String number);

    String findEqType(@Param("siteId") String siteId,
                      @Param("mainTreeId") String mainTreeId);

    List<BusiSiteTree> findMainTreeId(@Param("parentId") String parentId);

    List<BusiSiteTree> findParentId();

    TransformerLoadRate findAllLoadRate(@Param("mainEquipmentId") String mainEquipmentId, @Param("date") String date);
}
