package com.huatek.busi.mapper;

import com.huatek.busi.entity.BusiCableSubTree;
import com.huatek.busi.entity.BusiGisSubTree;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface BusiCableSubTreeMapper {
    List<BusiCableSubTree> findByEquipmentId(@Param("equipmentId") String equipmentId);

    List<BusiCableSubTree> getCableSubTreeByType(@Param("equipmentType") String equipmentType);

    List<BusiCableSubTree> findListByEquipmentIdAndType(@Param("equipmentId") String mainTreeId, @Param("equipmentType") String deviceType);
}
