package com.huatek.busi.mapper;

import org.springframework.stereotype.Repository;
import com.huatek.busi.entity.BusiEqmWarningInfo;

/**
 * 告警详情表 Mapper
 *
 * @author anker_cheng
 * @date Aug 6, 2019 2:46:00 PM
 */
@Repository
public interface BusiEqmWarningInfoMapper {

	/**
	 * @Title: selectByWarningId
	 * @Description: 根据告警ID获取
	 * @createDate: Aug 9, 2019 2:56:29 PM
	 * @param    warningId
	 * @return   BusiEqmWarningInfo
	 * @throws
	 */
	BusiEqmWarningInfo selectByWarningId(String warningId);
}
