package com.huatek.busi.mapper;

import com.huatek.busi.entity.BusiArresterSubTree;
import com.huatek.busi.entity.BusiGeneratorSubTree;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @ClassName: BusiArresterSubTreeMapper
 * @FullClassPath: com.huatek.busi.mapper.BusiArresterSubTreeMapper
 * @Description: 发电机外挂设备节点树Mapper
 * @author: Arno
 * @date: Jun 26, 2019 3:12:02 PM
 * @version: 1.0
 */
@Repository
public interface BusiGeneratorSubTreeMapper {

    /**
     * @Title: findByEquipmentIdAndType
     * @Description:
     * @createDate: Jul 17, 2019 7:11:37 PM
     * @param
     * @return   BusiTransfromerSubTree
     * @throws
     */
    BusiGeneratorSubTree findByEquipmentIdAndType(@Param("equipmentId") String equipmentId, @Param("equipmentType") String equipmentType);

    List<BusiGeneratorSubTree> findByEquipmentId(@Param("equipmentId") String equipmentId);
}
