package com.huatek.busi.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.BusiStability;

/**
 * 稳定性指标 Mapper
 *
 * @author anker_cheng
 * @date Jul 29, 2019 2:13:50 PM
 */
@Repository
public interface BusiStabilityMapper {

   

    /** 
    * @Title: selectByIdAndType 
    * @Description: 根据类型获取 
    * @createDate: Aug 1, 2019 11:02:36 AM
    * @param   params
    * @return       
    */ 
   BusiStability selectBySensorCodeAndType(@Param("sensorCode")String sensorCode, @Param("indexType")String indexType);
    
   
   /** 
    * @Title: selectByEquipmentId 
    * @Description: 根据类型获取 
    * @createDate: Aug 1, 2019 11:02:36 AM
    * @param   params
    * @return       
    */ 
  List<BusiStability> selectBySensorCode(@Param("sensorCode")String sensorCode);
  
  BusiStability findStabilityMapByCondition(@Param("sensorCode")String sensorCode, @Param("indexType")String indexType);  
    
}
