package com.huatek.busi.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.CapacitanceEquipmentInsulationMonitorThreshold;
import com.huatek.busi.vo.CapacitanceEquipmentInsulationMonitorThresholdVo;

/**
 * 容性设备-绝缘监测-阈值：022001 Mapper
 *
 * @author anker_cheng
 * @date Aug 5, 2019 5:29:19 PM
 */
@Repository
public interface CapacitanceEquipmentInsulationMonitorThresholdMapper {

    /**
     * 获取阈值
     * 
     * @param mainTreeId
     *            站点设备树ID
     * @param state
     *            设备状态
     * @param sensorCode
     *            传感器编码
     * @return
     */
    CapacitanceEquipmentInsulationMonitorThreshold getCapacitanceEquipmentInsulationMonitorThreshold(
        @Param("mainTreeId") String mainTreeId, @Param("state") String state, @Param("sensorCode") String sensorCode);

    CapacitanceEquipmentInsulationMonitorThresholdVo getThresholdVo(@Param("state") String state,
        @Param("sensorCode") String sensorCode);
}
