package com.huatek.busi.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.GisOfflineExperimentReportDto;
import com.huatek.busi.entity.GisOfflineExperimentReport;
import com.huatek.busi.vo.routinetest.gis.GisOfflineExperimentReportVo;

/**
 * Gis离线试验报告Mapper
 * 
 * @author anker_cheng
 * @date 2019/08/24
 */
@Repository
public interface GisOfflineExperimentReportMapper {

    /**
     * 分页查询
     * 
     * @param gisOfflineExperimentReportDto
     * @return
     */
    Page<GisOfflineExperimentReportVo>
        findGisOfflineExperimentReportList(GisOfflineExperimentReportDto gisOfflineExperimentReportDto);

    GisOfflineExperimentReport getByTreeId(@Param("mainTreeId") String mainTreeId);
}