package com.huatek.busi.mapper;

import com.huatek.busi.entity.GisSf6EnvMonitoringStatistics;
import com.huatek.busi.entity.GisSf6IncreaseRateCache;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.time.LocalDate;
import java.util.Map;

/**
 * sf6Env
 *
 * @author vent
 * @date 2023-04-19
 */
@Repository
public interface GisSf6EnvMonitoringStatisticsMapper {

    int deleteItem(@Param("sensorCode") String sensorCode, @Param("day") LocalDate day);

    GisSf6EnvMonitoringStatistics getItem(@Param("sensorCode") String sensorCode, @Param("day") LocalDate day);
    
}
