package com.huatek.busi.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.IecPointsConfDto;
import com.huatek.busi.vo.IecPointsConfVo;

/**
 * IEC104-业务点表配置表 Mapper
 *
 * @author anker_cheng
 * @date 2019-8-1 16:15:37
 */
@Repository
public interface  IecPointsConfMapper {

	/**
	 * 分页查询 IEC104-业务点表配置表
     *
	 * @param iecPointsConfDto IEC104-业务点表配置表Dto
	 * @return Page IEC104-业务点表配置表List
	 */
	Page<IecPointsConfVo> selectIecPointsConfPage(IecPointsConfDto iecPointsConfDto);

	IecPointsConfVo findIecPointsConfVo(@Param("id")String id);

	Integer checksadr(@Param("id")String id, @Param("siteId")String siteId, @Param("sadr")Integer sadr);
}

