package com.huatek.busi.mapper;

import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.OtherPdCacheDto;
import com.huatek.busi.entity.OtherPdCache;
import com.huatek.busi.entity.TransformerPd;
import com.huatek.busi.vo.OtherPdCacheVo;

/**
 * 电缆局部放电暂存数据( 类型编码 ：027001) Mapper
 *
 * @author anker_cheng
 * @date Jun 26, 2019 6:32:06 PM
 */
@Repository
public interface OtherPdCacheMapper {

    /**
     * 分页查询 电缆局部放电暂存数据( 类型编码 ：027001)
     *
     * @param OtherPdCacheDto
     *            电缆局部放电暂存数据( 类型编码 ：027001)Dto
     * @return Page 电缆局部放电暂存数据( 类型编码 ：027001)List
     */
    Page<OtherPdCacheVo> selectOtherPdCachePage(OtherPdCacheDto gisPdCacheDto);

    /**
     * 查询实时数据
     * 
     * @param transformerPd
     *            参数
     * @return
     */
    OtherPdCache getOtherPdCache(TransformerPd transformerPd);
}
