package com.huatek.busi.mapper;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.RParamAttrBasicDataDto;
import com.huatek.busi.entity.RParamAttrBasicData;
import com.huatek.busi.where.RParamAttrBasicDataSelectVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface RParamAttrBasicDataMapper {

    List<RParamAttrBasicData> getRParamAttrBasicDataByPId(@Param("id") String id, @Param("deleted") String deleted);

    int updateByPId(@Param("pId") String pId, @Param("deleted") String deleted);

    Page<RParamAttrBasicDataDto> findChildList(RParamAttrBasicDataSelectVo rParamAttrBasicDataSelectVo);

    RParamAttrBasicDataDto findByPIdAndDisParam(@Param("pId") String pId, @Param("disParamValue") String disParamValue);

    RParamAttrBasicData findRParamAttrBasicData(@Param("mainEquId") String mainEquId,
                                                @Param("testItem") String testItem,
                                                @Param("offlineParam") String offlineParam,
                                                @Param("unit") String unit);

    Long findMaxAssessFieldRule();
}
