package com.huatek.busi.mapper;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.vo.rpt.RptAretMonitorSummaryQueryVo;

/**
 * 避雷器--基础信息--每天汇总
 * 
 * @author buck_guo
 * @date 2019/07/16
 */
@Repository
public interface RptAretMonitorSummaryMapper {
    public Integer inserData2Summary();

    int deleteOneDayDate(@Param("day") LocalDate day);

    List<RptAretMonitorSummaryQueryVo> findOneDayData(@Param("startTime") LocalDateTime startTime,
        @Param("endTime") LocalDateTime endTime);
}
