package com.huatek.busi.mapper;

import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.RptTermperRecordDto;
import com.huatek.busi.entity.CwgTemperature;
import com.huatek.busi.entity.RptTermperRecord;
import com.huatek.busi.vo.RptTermperRecordVo;

/**
 * 测温柜-全部测温点汇总表 Mapper
 *
 * @author anker_cheng
 * @date Jul 1, 2019 4:05:01 PM
 */
@Repository
public interface RptTermperRecordMapper {

    /**
     * 分页查询 测温柜-全部测温点汇总表
     *
     * @param rptTermperRecordDto
     *            测温柜-全部测温点汇总表Dto
     * @return Page 测温柜-全部测温点汇总表List
     */
    Page<RptTermperRecordVo> selectRptTermperRecordPage(RptTermperRecordDto rptTermperRecordDto);

    /**
     * 获取测温柜-全部测温点汇总记录
     * 
     * @param cacEntity
     *            参数
     * @return
     */
    RptTermperRecord getRptTermperRecord(CwgTemperature cacEntity);
}
