package com.huatek.busi.mapper;

import java.util.List;

import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.ScheduleJobDto;
import com.huatek.busi.entity.ScheduleJob;
import com.huatek.busi.vo.ScheduleJobVo;

/**
  * @ClassName: ScheduleJobMapper
  * @FullClassPath: com.huatek.busi.mapper.ScheduleJobMapper
  * @Description: 定时任务Mapper
  * @author: Arno
  * @date: Jul 3, 2019 2:37:16 PM
  * @version: 1.0
  */

@Repository
public interface ScheduleJobMapper {


	/** 
	* @Title: findAll 
	* @Description: 获取全部任务 
	* @createDate: Jul 3, 2019 2:36:07 PM
	* @param   
	* @return   List<ScheduleJob>    
	* @throws 
	*/ 
	public List<ScheduleJob> findAll() ;
	
	/**
	 * 分页查询定时任务任务表
     *
	 * @param ScheduleJob ScheduleJobDto
	 * @return Page 定时任务List
	 */
	Page<ScheduleJobVo> findScheduleJobPage(ScheduleJobDto scheduleJobDto);
}
