package com.huatek.busi.mapper;

import org.springframework.stereotype.Repository;
import com.github.pagehelper.Page;

import com.huatek.busi.dto.SubstationMicStatisticsDto;
import com.huatek.busi.vo.SubstationMicStatisticsVo;

/**
 * 变电站微气象日统计 Mapper
 *
 * @author anker_cheng
 * @date Jul 17, 2019 10:21:35 AM
 */
@Repository
public interface  SubstationMicStatisticsMapper {

	/**
	 * 分页查询 变电站微气象日统计
     *
	 * @param substationMicStatisticsDto 变电站微气象日统计Dto
	 * @return Page 变电站微气象日统计List
	 */
	Page<SubstationMicStatisticsVo> selectSubstationMicStatisticsPage(SubstationMicStatisticsDto substationMicStatisticsDto);

}

