package com.huatek.busi.mapper;

import java.time.LocalDateTime;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.entity.TransformerEvaluateData;
import com.huatek.busi.vo.TransformerEvaluateDataVo2;

/**
  * @ClassName: TransformerEvaluateDataMapper
  * @FullClassPath: com.huatek.busi.mapper.TransformerEvaluateDataMapper
  * @Description: TODO
  * @author: Arno
  * @date: Sep 2, 2019 6:18:58 PM
  * @version: 1.0
  */

@Repository
public interface TransformerEvaluateDataMapper {

	/** 
	* @Title: selectByMainTreeId 
	* @Description: TODO 
	* @createDate: Sep 2, 2019 6:18:12 PM
	* @param    mainTreeId
	* @return   List<TransformerEvaluateData>    
	*/ 
	List<TransformerEvaluateData> selectByMainTreeId(@Param("mainTreeId")String mainTreeId);

	Page<TransformerEvaluateDataVo2>  page(@Param("mainTreeId")String mainTreeId ,@Param("startTime")LocalDateTime startTime, @Param("endTime")LocalDateTime endTime);
}
