package com.huatek.busi.mapper;

import java.time.LocalDate;

import com.huatek.busi.entity.TransformerEvaluationResults;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.vo.TransformerEvaluationResultsVo;

/**
  * @ClassName: TransformerEvaluationResultsMapper
  * @FullClassPath: com.huatek.busi.mapper.TransformerEvaluationResultsMapper
  * @Description: TODO
  * @author: Arno
  * @date: Sep 12, 2019 1:18:44 PM
  * @version: 1.0
  */

@Repository
public interface TransformerEvaluationResultsMapper {

	 Page<TransformerEvaluationResultsVo>  page(@Param("mainTreeId")String mainTreeId,
			 @Param("startTime")LocalDate startTime, @Param("endTime")LocalDate endTime, @Param("type")String type);

	TransformerEvaluationResultsVo findLatestResult(@Param("mainTreeId")String mainTreeId);
}
