package com.huatek.busi.mapper;

import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.TransformerPdCacheDto;
import com.huatek.busi.entity.TransformerPd;
import com.huatek.busi.entity.TransformerPdCache;
import com.huatek.busi.vo.TransformerPdCacheVo;

/**
 * 变压器局部放电暂存数据( 类型编码 ：021001) Mapper
 *
 * @author anker_cheng
 * @date Jun 26, 2019 6:32:06 PM
 */
@Repository
public interface TransformerPdCacheMapper {

    /**
     * 分页查询 变压器局部放电暂存数据( 类型编码 ：021001)
     *
     * @param transformerPdCacheDto
     *            变压器局部放电暂存数据( 类型编码 ：021001)Dto
     * @return Page 变压器局部放电暂存数据( 类型编码 ：021001)List
     */
    Page<TransformerPdCacheVo> selectTransformerPdCachePage(TransformerPdCacheDto transformerPdCacheDto);

    /**
     * 查询实时数据
     * 
     * @param siteId
     *            站点ID
     * @param sensorId
     *            sensorId
     * @return
     */
    TransformerPdCache getTransformerPdCache(TransformerPd cacEntity);
}
