package com.huatek.busi.service.impl;

import cn.hutool.core.util.StrUtil;
import com.alibaba.dubbo.config.annotation.Service;
import com.huatek.busi.common.SiteConstants;
import com.huatek.busi.dto.LabReportMarkStatisticDto;
import com.huatek.busi.entity.LabBlqReportMarkStatistic;
import com.huatek.busi.entity.LabReportMarkStatistic;
import com.huatek.busi.mapper.LabReportMarkStatisticMapper;
import com.huatek.busi.service.ILabBlqReportMarkStatisticService;
import com.huatek.busi.service.ILabReportMarkStatisticService;
import com.huatek.busi.vo.LabReportMarkStatisticVo;
import com.huatek.busi.vo.labRulesVo;
import com.huatek.busi.vo.labValueVo;
import com.huatek.frame.base.util.BeanUtils;
import com.huatek.torch.frame.tools.ConstantUtil;
import com.huatek.torch.frame.tools.ResultUtil;
import com.huatek.torch.sql.dao.impl.BaseDao;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.Arrays;
import java.util.List;
import java.util.Map;
import java.util.Objects;

@Slf4j
@Component
@Service(interfaceClass = ILabBlqReportMarkStatisticService.class)
@Transactional(rollbackFor = Exception.class)
public class LabBlqReportMarkStatisticServiceImpl extends BaseDao<LabBlqReportMarkStatistic, String> implements ILabBlqReportMarkStatisticService {

    @Override
    public int insert(LabReportMarkStatisticVo labReportMarkStatisticVo){
        LabBlqReportMarkStatistic labBlqReportMarkStatistic = new LabBlqReportMarkStatistic();
        BeanUtils.copyProperties(labReportMarkStatisticVo, labBlqReportMarkStatistic);
        return this.add(labBlqReportMarkStatistic);
    }
}
