package com.huatek.busi.service.impl;

import com.alibaba.dubbo.config.annotation.Service;
import com.huatek.busi.common.SiteConstants;
import com.huatek.busi.dto.RMasterDataRecordDto;
import com.huatek.busi.entity.LabGenReportParamData;
import com.huatek.busi.entity.RBlqDataRecord;
import com.huatek.busi.entity.RMasterData;
import com.huatek.busi.entity.RMasterDataRecord;
import com.huatek.busi.mapper.RMasterDataRecordMapper;
import com.huatek.busi.service.IRBlqDataRecordService;
import com.huatek.busi.service.IRMasterDataRecordService;
import com.huatek.frame.base.util.BeanUtils;
import com.huatek.torch.sql.dao.impl.BaseDao;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.List;
import java.util.Objects;

@Component
@Service(interfaceClass = IRBlqDataRecordService.class)
@Transactional(rollbackFor = Exception.class)
public class RBlqDataRecordServiceImpl extends BaseDao<RBlqDataRecord, String> implements IRBlqDataRecordService {

    @Override
    public int insert(RMasterDataRecord rMasterDataRecord){
        RBlqDataRecord rBlqDataRecord = new RBlqDataRecord();
        BeanUtils.copyProperties(rMasterDataRecord, rBlqDataRecord);
        return this.addLocal(rBlqDataRecord);
    }
}
