package com.huatek.busi.service.impl.gis;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import com.alibaba.dubbo.config.annotation.Service;
import com.huatek.busi.dao.GisAssessmentResultDataDao;
import com.huatek.busi.entity.GisAssessmentResultData;
import com.huatek.busi.mapper.GisAssessmentResultDataMapper;
import com.huatek.busi.service.gis.GisAssessmentResultDataService;

@Component
@Service(interfaceClass = GisAssessmentResultDataService.class)
@Transactional(rollbackFor = Exception.class)
public class GisAssessmentResultDataServiceImpl implements GisAssessmentResultDataService {

	@Autowired
	private GisAssessmentResultDataDao gisAssessmentResultDataDao ;
	@Autowired
	private GisAssessmentResultDataMapper gisAssessmentResultDataMapper;
	@Override
	public void save(GisAssessmentResultData entity) {
		gisAssessmentResultDataDao.add(entity);
	}

	@Override
	public GisAssessmentResultData findGisAssessmentResultDataByGisId(String gisId) {
		return gisAssessmentResultDataMapper.findGisAssessmentResultDataByGisId(gisId);
	}

}
