package com.huatek.busi.service.impl.report;

import com.huatek.busi.common.ReportType;
import com.huatek.busi.common.SiteConstants.SiteTreeEnum;
import com.huatek.busi.dto.EquipmentInfoDto;
import com.huatek.busi.service.impl.report.helper.ReportImpl;

/**
 * 变压器局放检测-月报告
 * 
 * @author anker_cheng
 * @date 2019/09/24
 */
@ReportImpl(value = "busiTransformerPdMonthlyReprotService", exportTypes = {ReportType.BYQ_JF_MONTHLY_REPORT})
public class BusiTransformerPdMonthlyReprotServiceImpl extends AbstractPdMonthlyReprotService {

    @Override
    protected String fileName() {
        return "变压器局放检测月报告";
    }

    @Override
    protected EquipmentInfoDto findEquipmentInfo(String sensorCode) {
         return busiSubTreeService.findEquipmentInfo(sensorCode, SiteTreeEnum.BYQ.getValue());
    }
}
