package com.huatek.frame.base.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 *      装置数据项
 *  </p>
 *
 * @author Leo
 * @since 2023-03-03
 */
@Data
public class DataItem implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 装置数据项
     */
    @ApiModelProperty(value = "装置数据项",  name="itemCode")
    private String itemCode;

    /**
     * 数据线名称
     */
    @ApiModelProperty(value = "数据项名称",  name="itemName")
    private String itemName;
}
