package com.huatek.frame.base.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * 装置 Vo
 *
 * @date 2023-2-7 17:03:45
 */
@Setter
@Getter
public class ComponentDataVO implements Serializable {
	private static final long serialVersionUID = 1L;
	/**
	 * 装置简称
	 */
	@ApiModelProperty(value="装置简称",name="componentName",required=true)
	private String componentName;
	/**
	 * 装置编码
	 */
	@ApiModelProperty(value="装置编码",name="componentCode",required=true)
	private String componentCode;
	/**
	 * 装置数据项
	 */
	@ApiModelProperty(value="装置数据项",name="item",required=true)
	private String item;
	/**
	 * 数据项名称
	 */
	@ApiModelProperty(value="数据项名称",name="itemName",required=true)
	private String itemName;
	/**
	 * 数据项类型
	 */
	@ApiModelProperty(value="数据项类型",name="itemType",required=true)
	private String itemType;
	/**
	 * 表名
	 */
	@ApiModelProperty(value="表名",name="tableName",required=true)
	private String tableName;
}