package com.huatek.frame.base.service;

import java.util.Map;

import com.huatek.frame.base.dto.GroupDTO;
import com.huatek.frame.base.entity.Group;

/**
 * 系统_组织 Service
 *
 * @author key_dong
 * @date 2018-7-11 14:03:46
 */
public interface GroupService {

    /**
     * 分页查找查找 系统_组织
     *
     * @param page 页码
     * @param limit 每页显示数量
     * @param dto 系统_组织dto
     * @return map map
     */
    Map<String, Object> findGroupPage(GroupDTO dto);


    /**
     * 添加 系统_组织
     * 
     * @param group 系统_组织group
     * @return map map
     */
    Map<String, Object> addGroup(Group  group);

    /**
     *  通过id查找 系统_组织
     *
     * @param id 主键
     * @return map map
     */
    Map<String, Object> findGroup(String id);

    /**
     * 修改 系统_组织
     * 
     * @param group 系统_组织group
     * @return map map
     */
    Map<String, Object> updateGroup( Group  group);

    /**
      * 删除 系统_组织
      * 
      * @param ids 主键集合
      * @return map map
      */
    Map<String, Object> deleteGroup( String[] ids);
}
