package com.huatek.frame.base.service;

import java.util.Map;

import com.huatek.frame.base.dto.UserDTO;

/**
 * 用户登录服务
 * @author key_dong
 *
 */
public interface LoginService {

	/**
	 * 用户登陆
	 * @param user
	 * @param time
	 * @param code
	 * @param tag
	 * @param verify
	 * @return
	 */
	Map<String, Object> login(UserDTO user, long time, String tag, String code, boolean verify) throws Exception;

	/**
	 * 删除缓存
	 * @param token
	 * @return
	 */
	Map<String, Object> deleteRedis(String token);

	/**
	 * 修改密码
	 * @param token
	 * @param oldPwd
	 * @param newPwd
	 * @param confirmPwd
	 * @return
	 */
	Map<String, Object>  changePwd(String token,Map<String, String> map);

}
