package com.huatek.frame.base.mapper;

import com.github.pagehelper.Page;
import com.huatek.frame.base.dto.ModelComponentDataDTO;
import com.huatek.frame.base.entity.ModelComponentData;
import com.huatek.frame.base.vo.ModelComponentDataVOOriginal;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 模型装置信息表 Mapper 接口
 * </p>
 *
 * @author Leo
 * @since 2023-03-03
 */
@Repository
public interface ModelComponentDataMapper {

    Page<ModelComponentDataVOOriginal> selectPages(ModelComponentDataDTO dto);

    void saveEntity(ModelComponentData entity);

}
