package com.huatek.busi.controller.helper;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 变压器检修单处理参数Dto
 * 
 * @author anker_cheng
 * @date 2019/08/15
 */
@ApiModel(value = "BusiGisRepairParamDto", description = "变压器检修单处理参数Dto")
@Data
public class BusiTransformerRepairParamDto implements Serializable {
    private static final long serialVersionUID = -4506025437789771059L;

    @ApiModelProperty(name = "ids", value = "变压器检修单ID数组")
    private List<String> ids;

    @ApiModelProperty(name = "dealResult", value = "处理结果")
    private String dealResult;
}
