package com.huatek.busi.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class BusiOfflineCableBrandDto implements Serializable {

    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    @ApiModelProperty(name = "siteId", value = "站点Id")
    private String siteId;

    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;

    @ApiModelProperty(name = "cableName", value = "产品名称")
    private String cableName;

    @ApiModelProperty(name = "cableModel", value = "产品型号")
    private String cableModel;

    @ApiModelProperty(name = "equipmentCode", value = "设备编号")
    private String equipmentCode;

    @ApiModelProperty(name = "siteCode", value = "站点设备编号")
    private String siteCode;

    @ApiModelProperty(name = "batchNumber", value = "制造批号")
    private String batchNumber;

    @ApiModelProperty(name = "createUser", value = "创建人ID")
    private String createUser;

    @ApiModelProperty(name = "createTime", value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @ApiModelProperty(name = "updateUser", value = "更新者")
    private String updateUser;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(name = "createTime", value = "更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(name = "status", value = "状态：A:可用  D:不可用")
    private String status;
}
