package com.huatek.busi.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class CalculateBasicDataDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id", name = "唯一主键标识", required = true)
    private String id;

    @ApiModelProperty(value = "mainFileName", name = "主文件名")
    private String mainFileName;

    @ApiModelProperty(value = "valueOne", name = "数值1")
    private String valueOne;

    @ApiModelProperty(value = "valueTwo", name = "数值2")
    private String valueTwo;

    @ApiModelProperty(value = "valueThree", name = "数值3")
    private String valueThree;

    @ApiModelProperty(value = "valueFour", name = "数值4")
    private String valueFour;

    @ApiModelProperty(value = "valueFive", name = "数值5")
    private String valueFive;

    @ApiModelProperty(value = "status", name = "分闸合闸状态")
    private Integer status;

    @ApiModelProperty(value = "flag", name = "状态")
    private Integer flag;

    @ApiModelProperty(value = "childFileName", name = "子文件名")
    private String childFileName;

    @ApiModelProperty(value = "sort", name = "排序字段")
    private Integer sort;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private LocalDateTime createTime;
}
