package com.huatek.busi.dto;

import io.swagger.annotations.*;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@ApiModel("报告参数属性出参")
public class RParamAttrBasicDataDto implements Serializable {

    @ApiModelProperty(value = "id", name = "唯一主键标识")
    private String id;

    @ApiModelProperty(value = "pId", name = "关联参数编号")
    private String pId;

    @ApiModelProperty(value = "serialNumber", name = "序列号")
    private String serialNumber;

    @ApiModelProperty(value = "disParamValue", name = "离线参数名称")
    private String disParamValue;

    @ApiModelProperty(value = "unit", name = "单位")
    private String unit;

    @ApiModelProperty(value = "assessFieldRule", name = "评估字段规则")
    private String assessFieldRule;

    @ApiModelProperty(value = "remark", name = "备注")
    private String remark;

    @ApiModelProperty(value = "createUser", name = "创建者")
    private String createUser;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "updateUser", name = "更新者")
    private String updateUser;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime", name = "更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "deleted", name = "是否删除 0否 1是")
    private String deleted;

    @ApiModelProperty(value = "dname", name = "字典名称")
    private String dname;
}
