package com.huatek.busi.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class ServerFilePathDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id", name = "唯一主键标识", required = true)
    private String id;

    @ApiModelProperty(value = "siteId", name = "站点编号'")
    private String siteId;

    @ApiModelProperty(value = "siteName", name = "站点名称'")
    private String siteName;

    @ApiModelProperty(value = "sitePath", name = "站点路径")
    private String sitePath;

    @ApiModelProperty(value = "mainEquId", name = "变电设备编号")
    private String mainEquId;

    @ApiModelProperty(value = "mainEquName", name = "变电设备名称")
    private String mainEquName;

    @ApiModelProperty(value = "mainEquPath", name = "变电设备路径")
    private String mainEquPath;

    @ApiModelProperty(value = "fileType", name = "文件类型")
    private String fileType;

    @ApiModelProperty(value = "dName", name = "文件类型名称")
    private String dName;

    @ApiModelProperty(value = "createUser", name = "创建者")
    private String createUser;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "updateUser", name = "更新者")
    private String updateUser;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "updateTime", name = "更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "deleted", name = "是否删除 0否 1是")
    private String deleted;
}
