package com.huatek.busi.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class SimulateResultDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "mainId", name = "唯一主键标识")
    private String mainId;

    @ApiModelProperty(value = "equipmentType", name = "设备类型")
    private String equipmentType;

    @ApiModelProperty(value = "pId", name = "树形关联编号")
    private String pId;

    @ApiModelProperty(value = "dataItemId", name = "输入项编号")
    private String dataItemId;

    @ApiModelProperty(value = "simulateResultJson", name = "仿真结果json格式")
    private String simulateResultJson;

    @ApiModelProperty(value = "filePath", name = "文件路径")
    private String filePath;

    @ApiModelProperty(value = "fileName", name = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "mainCreateUser", name = "创建者")
    private String mainCreateUser;

    @ApiModelProperty(value = "number", name = "故障值")
    private String number;

    @ApiModelProperty(value = "dataName", name = "故障值")
    private String dataName;

    @ApiModelProperty(value = "threshold", name = "故障值")
    private String threshold;

    @ApiModelProperty(value = "initValue", name = "故障值")
    private String initValue;

    @ApiModelProperty(value = "absoluteGrowth", name = "故障值")
    private String absoluteGrowth;

    @ApiModelProperty(value = "finalValue", name = "故障值")
    private String finalValue;

    @ApiModelProperty(value = "assess0", name = "故障值")
    private String assess0;

    @ApiModelProperty(value = "assess1", name = "故障值")
    private String assess1;

    @ApiModelProperty(value = "assess2", name = "故障值")
    private String assess2;

    @ApiModelProperty(value = "assess3", name = "故障值")
    private String assess3;

    @ApiModelProperty(value = "assess4", name = "故障值")
    private String assess4;

    @ApiModelProperty(value = "assess5", name = "故障值")
    private String assess5;

    @ApiModelProperty(value = "assess6", name = "故障值")
    private String assess6;

    @ApiModelProperty(value = "assess7", name = "故障值")
    private String assess7;

    @ApiModelProperty(value = "assess8", name = "故障值")
    private String assess8;

    @ApiModelProperty(value = "assess9", name = "故障值")
    private String assess9;

    @ApiModelProperty(value = "assess10", name = "故障值")
    private String assess10;

    @ApiModelProperty(value = "assess11", name = "故障值")
    private String assess11;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "mainCreateTime", name = "创建时间")
    private LocalDateTime mainCreateTime;

    @ApiModelProperty(value = "childId", name = "唯一主键标识")
    private String childId;

    @ApiModelProperty(value = "dataItemJson", name = "输入项json格式")
    private String dataItemJson;

    @ApiModelProperty(value = "childCreateUser", name = "创建者")
    private String childCreateUser;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "childCreateTime", name = "创建时间")
    private LocalDateTime childCreateTime;
}
