package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDateTime;
import com.huatek.torch.sql.beans.PageBean;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerReadTableDto  extends PageBean implements Serializable{
    private static final long serialVersionUID = 1L;
    /**
     * 
     */
    private String id;

    /**
     * 站点id
     */
    private String siteId;

    /**
     * 主设备Id
     */
    private String mainTreeId;

    /**
     * sensor_code
     */
    private String sensorCode;

    /**
     * 检测时间
     */
    private LocalDateTime dTime;

    /**
     * 油温
     */
    private String oilTemperature;

    /**
     * 油位
     */
    private String oilPosition;

    /**
     * 图片存储路径
     */
    private String picpath;
    
    /**
     * 查询开始时间
     */
    private LocalDateTime timeStamp;

    /**
     * 查询结束时间
     */
    private LocalDateTime timeStampEnd;
}