package com.huatek.busi.dto.monitor;

import java.io.Serializable;
import java.time.LocalDate;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 在线监测——监测数据趋势图参数 Dto
 * 
 * @author anker_cheng
 * @date 2019/09/17
 */
@ApiModel(value = "BusiOnlineMonitorTrendDataDto", description = "在线监测——监测数据趋势图参数 Dto")
@Data
public class BusiOnlineMonitorTrendDataDto implements Serializable {
    private static final long serialVersionUID = 1L;
    
    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    private String mainTreeId;

    /**
     * 传感器编码
     */
    @ApiModelProperty(name = "sensorCode", value = "传感器编码")
    private String sensorCode;

    /**
     * 主设备类型
     */
    @ApiModelProperty(name = "equipmentType", value = "主设备类型")
    private String equipmentType;

    /**
     * 外挂设备类型
     */
    @ApiModelProperty(name = "subEquipmentType", value = "外挂设备类型")
    private String subEquipmentType;

    /**
     * 日期
     */
    @ApiModelProperty(name = "day", value = "日期")
    private LocalDate day;

    @ApiModelProperty(name = "dayEnd", value = "日期截止")
    private LocalDate dayEnd;
}
