/**
 * 
 */
package com.huatek.busi.entity;

import java.io.Serializable;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @ClassName: BusiEquipmentRelationship
 * @FullClassPath: com.huatek.busi.entity.BusiEquipmentRelationship
 * @Description: 主设备关系表
 * @author: Arno
 * @date: Jun 26, 2019 6:26:59 PM
 * @version: 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_equipment_relationship")
public class BusiEquipmentRelationship extends Pojo implements Serializable {

	/** @Fields serialVersionUID : */ 
	private static final long serialVersionUID = -4574622949953479121L;
//
//	/** @Fields id : */
//	@FieldName("id")
//	@Id(value = "id")
//	private String id;

	/** @Fields transformerId : 变压器站点树ID */
	@FieldName("transformer_id")
	private String transformerId;
	
	/** @Fields equipment_id : GIS/ 测温柜 /避雷器 站点树ID */
	@FieldName("equipment_id")
	private String equipmentId;
	
}
