package com.huatek.busi.entity;

import java.io.Serializable;
import java.math.BigDecimal;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 考评指标——监测单元和单元考核指标关联表 entity
 *
 * @author anker_cheng
 * @date Jul 23, 2019 9:50:23 AM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_eva_monitor_ref")
public class BusiEvaMonitorRef extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @FieldName("id")
    private BigDecimal id;

    /**
     * 监测单元ID
     */
    @FieldName("unit_id")
    private String unitId;

    /**
     * 单元考核指标ID
     */
    @FieldName("indicators_id")
    private String indicatorsId;
}