package com.huatek.busi.entity;

import java.io.Serializable;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 在线监测——监测数据：监测值存储表
 * 
 * @author anker_cheng
 * @date 2019/09/16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_online_monitor_data_info")
public class BusiOnlineMonitorDataInfo extends Pojo implements Serializable {
    private static final long serialVersionUID = -352904069757620565L;

    @Id("id")
    private String id;

    @FieldName("ref_id")
    private String refId;

    /**
     * 监测值...1到多个
     */
    @FieldName("data")
    private String data;
}
