package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

@Data
public class EquipmentSumNumber extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @FieldName("id")
    private String id;

    /**
     * id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 单设备外挂装置总数
     */
    @FieldName("sum_number")
    private Integer sumNumber;

    /**
     * 单设备外挂装置故障总数
     */
    @FieldName("sum_fault")
    private Integer sumFault;

    /**
     * 单设备外挂装置在线总数
     */
    @FieldName("sum_normal")
    private Integer sumNormal;



    /**
     * 所有设备外挂装置总数
     */
    @FieldName("all_sum_number")
    private Integer allSumNumber;

    /**
     * 所有设备外挂装置故障总数
     */
    @FieldName("all_sum_number")
    private Integer allSumFaultNumber;


    /**
     * 所有设备外挂装置正常总数
     */
    @FieldName("all_sum_number")
    private Integer allSumNormalNumber;

    /**
     * 类型
     */
    @FieldName("type")
    private String type;

    /**
     * normalIds
     */
    @FieldName("normal_ids")
    private String normalIds;


    /**
     * faultIds
     */
    @FieldName("fault_ids")
    private String faultIds;
}
