package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 记录变更操作日志实体
 * 
 * @author anker_cheng
 * @date 2019/07/11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("op_change_log_entity")
public class OpChangeLogEntity extends Pojo implements Serializable {
    private static final long serialVersionUID = 3333907196697788348L;

    @Id("id")
    private String id;

    @FieldName("entity_class")
    private String entityClass;

    @FieldName("op_type")
    private String opType;

    @FieldName("object_id")
    private String objectId;

    @FieldName("op_content")
    private String opContent;

    @FieldName("creator")
    private String creator;

    @FieldName("created_time")
    private LocalDateTime createdTime;
}
