package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sound_vibration_params")
public class SoundVibrationParams extends Pojo implements Serializable {

    /** @Fields serialVersionUID : */
    private static final long serialVersionUID = -2784973248472262986L;
    @FieldName("id")
    private String id;

    /** @Fields mainTreeId : 站点树ID */
    @FieldName("main_tree_id")
    private String mainTreeId;

    @FieldName("high_point")
    private String highPoint;

    @FieldName("low_point")
    private String lowPoint;

    @FieldName("center_point")
    private String centerPoint;

    @FieldName("noise_point")
    private String noisePoint;

    /** @Fields pc_date: 评测时间 */
    @FieldName(value = "create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}
