package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;

import java.io.Serializable;

@Data
public class TAndTransformerStatus extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 站点id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 设备id
     */
    @FieldName("eqm_code")
    private String eqmCode;


    /**
     * 变压器运行状态
     */
    @FieldName("stype")
    private String stype;



    /**
     * 插入时间
     */
    @FieldName("ins_date")
    private String insDate;



}
