package com.huatek.busi.vo;

import java.io.Serializable;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 设备故障代码及描述表 Vo
 *
 * @author anker_cheng
 * @date Jul 26, 2019 5:21:27 PM
 */
@ApiModel(value = "BusiEqmFaultVo", description = "设备故障代码及描述表 Vo", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiEqmFaultVo implements Serializable{
	
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(name = "id", value = "主键ID")
	private String id;
	
	@ApiModelProperty(name = "faultFcode", value = "故障代码")
	private String faultFcode;
	
	@ApiModelProperty(name = "faultFtype", value = "故障类型")
	private String faultFtype;
	
	@ApiModelProperty(name = "faultGengas", value = "产生气体名称")
	private String faultGengas;
	
	@ApiModelProperty(name = "faultFdesc", value = "故障描述")
	private String faultFdesc;
	
	@ApiModelProperty(name = "faultFshow", value = "故障表现现象")
	private String faultFshow;
	
	@ApiModelProperty(name = "faultPossibleReasons", value = "故障可能原因")
	private String faultPossibleReasons;
	
	@ApiModelProperty(name = "faultInfluence", value = "可能影响的指标")
	private String faultInfluence;
	
	@ApiModelProperty(name = "faultPosition", value = "故障部位")
	private String faultPosition;
	
	@ApiModelProperty(name = "faultNotes", value = "备注说明")
	private String faultNotes;
}
