package com.huatek.busi.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value = "BusiHomePageVo", description = "首页外挂设备列表VO")
@Data
public class BusiHomePageVo implements Serializable {

    /** @Fields serialVersionUID : */
    private static final long serialVersionUID = 4756249946899489493L;

    @ApiModelProperty(name = "subTreeId", value = "外挂设备树ID")
    public String subTreeId;

    @ApiModelProperty(name = "mainTreeId", value = "站点设备树ID")
    public String mainTreeId;

    @ApiModelProperty(name = "subEquipmentId", value = "外挂设备ID")
    public String subEquipmentId;

    @ApiModelProperty(name = "mainTreeName", value = "主设备名称")
    public String mainTreeName;

    @ApiModelProperty(name = "subTreeName", value = "外挂设备名称")
    public String subTreeName;

    @ApiModelProperty(name = "type", value = "大类;1：变压器   2:GIS  3:测温   4：避雷器")
    public String type;

    @ApiModelProperty(name = "equipmentType", value = "外挂设备类型")
    public String equipmentType;

    @ApiModelProperty(name = "sensorId", value = "sensorId")
    public String sensorId;

    @ApiModelProperty(name = "sensorCode", value = "sensorCode")
    public String sensorCode;

    @ApiModelProperty(name = "sensorName", value = "sensorName")
    public String sensorName;
}