package com.huatek.busi.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel(value = "BusiStabilityIndexVo", description = "稳定性指标Item对应的VO")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class BusiStabilityIndexVo implements Serializable{

	/** @Fields serialVersionUID : */ 
	private static final long serialVersionUID = 1L;

	/**
     * 指标状态   0-无  1-发电  2-抽水  3-空闲  
     */
	@ApiModelProperty(name = "indexType", value = "指标状态：   0-无  1-发电  2-抽水  3-空闲  ")
	public String indexType;
	
	
	/**
     * 稳定性指标值
     */
	@ApiModelProperty(name = "stabilityIndex", value = "稳定性指标值")
	public String stabilityIndex ;
}
