package com.huatek.busi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 红外测温二级页面数据 Vo
 *
 * @author buck_guo
 * @date 2019/08/14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "BusiWindingVo", description = "红外测温二级页面数据 Vo")
public class BusiWindingVo extends BusiSubInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "collectValue", value = "采集数据")
    /** @Fields collectValue :采集数据 */
    private String collectValue;

    @ApiModelProperty(name = "realValue", value = "实际值")
    /** @Fields collectData :实际值 */
    private String realValue;

    @ApiModelProperty(name = "thresholdValue", value = "阈值")
    /** @Fields thresholdValue :阈值 */
    private String thresholdValue;

    @ApiModelProperty(name = "equipmentStatus", value = "设备状态")
    /** @Fields equipmentStatus :设备状态 */
    private String equipmentStatus;

    @ApiModelProperty(name = "phase", value = "相位")
    private String phase;

    @ApiModelProperty(name = "offlineReportNumber", value = "例行试验次数")
    private Integer offlineReportNumber;
}
