package com.huatek.busi.vo;

import java.io.Serializable;
import java.math.BigDecimal;

import lombok.Data;

/**
 * 电容型设备——绝缘监测统计Vo
 * 
 * @author anker_cheng
 * @date 2019/10/23
 */
@Data
public class CapacitanceEquipmentImStatisticsVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private String siteId;

    private String mainTreeId;

    private String subTreeId;

    private String mainEquipmentId;

    private String subEquipmentId;

    private String sensorCode;

    private String cacMonitorTypeCode;

    private Integer dataCount;
    
    private BigDecimal systemVoltage;
    private BigDecimal totalCurrent;
    private BigDecimal unbalanceCurrent;
    private BigDecimal unbalanceVoltage;
    private BigDecimal lossFactor;
    private BigDecimal capacitance;
}
