package com.huatek.busi.vo;

import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
public class EvaluationNameVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private int stepId;

    private String stepName;

//    private String inputParam;

    private JSONObject inputParam;

    private String calculateResult;

    /**
     * 1：第一级分项权重   2：第二级   3：第三级
     */
    @ApiModelProperty(name = "weightLevel", value = "1：第一级分项权重   2：第二级   3：第三级")
    private String weightLevel;

    /**
     * 计算指标的名称
     */
    @ApiModelProperty(name = "name", value = "计算指标的名称")
    private String name;

    /**
     * 上级计算指标名称
     */
    @ApiModelProperty(name = "pname", value = "上级计算指标名称")
    private String pname;

    /**
     * 描述
     */
    @ApiModelProperty(name = "description", value = "描述")
    private String description;
}
