package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 故障表现分类表 Vo
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:15:42 PM
 */
@ApiModel(value = "FaultShowsVo", description = "故障表现分类表 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class FaultShowsVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;
    /**
     * 故障主故障分类ID
     */
    @ApiModelProperty(name = "masterId", value = "故障主故障分类ID")
    private String masterId;
    /**
     * 故障子故障分类ID
     */
    @ApiModelProperty(name = "subId", value = "故障子故障分类ID")
    private String subId;
    /**
     * 故障表现
     */
    @ApiModelProperty(name = "showmsg", value = "故障表现")
    private String showmsg;
    /**
     * 创建日期
     */
    @ApiModelProperty(name = "insdate", value = "创建日期")
    private LocalDateTime insdate;
}