package com.huatek.busi.vo;

import com.huatek.torch.sql.annotation.FieldName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 振动统计Vo
 * 
 * @author anker_cheng
 * @date 2019/10/23
 */
@Data
public class GeneratorAmplStatisticsVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private String siteId;

    private String mainTreeId;

    private String subTreeId;

    private String mainEquipmentId;

    private String subEquipmentId;

    private String sensorCode;

    private String cacMonitorTypeCode;

    private Integer dataCount;

    private Long typeId;

    private BigDecimal amplX;

    private BigDecimal amplY;

    private BigDecimal amplZ;

    private BigDecimal freqX;

    private BigDecimal freqY;

    private BigDecimal freqZ;

    private BigDecimal spdX;

    private BigDecimal spdY;

    private BigDecimal spdZ;

    private BigDecimal aircapAm;

    private BigDecimal aircapBm;

    private BigDecimal aircapCm;

    private BigDecimal aircapDm;

}
