package com.huatek.busi.vo;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class ParameterMakeVo extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键唯一标识
     */
    @FieldName("id")
    private String id;


    /**
     * 关联附件编号
     */
    @FieldName("ref_id")
    private String refId;


    /**
     * 打标id
     */
    @FieldName("mark_id")
    private String markId;


    /**
     * 报告编号
     */
    @FieldName("report_id")
    private String reportId;


    /**
     * 打标字段
     */
    @FieldName("mark")
    private String mark;


    /**
     * 报告名称
     */
    @FieldName("file_name")
    private String fileName;

    /**
     *试验项名称
     */

    @FieldName("test_item")
    private String testItem;

    /**
     *打标参数值
     */
    @FieldName("current_value")
    private String currentValue;


    /**
     * 偏差率
     */
    @FieldName("deviate_value")
    private BigDecimal deviateValue;

    /**
     * 绝对增长率
     */
    @FieldName("relative_rate")
    private BigDecimal relativeRate;

    /**
     * 相对增长率
     */
    @FieldName("absolute_rate")
    private BigDecimal absoluteRate;


    /**
     * 参数类型
     */
    @FieldName("e_param")
    private String eParam;

    /**
     * 参数类型
     */
    @FieldName("equ_type_rule")
    private String equTypeRule;


    /**
     * 评估字段计算规则
     */
    @FieldName("e_calculate_rule")
    private String eCalculateRule;

    /**
     * 主设备id
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;



    @FieldName("create_time")
    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;


    @FieldName("test_date")
    @ApiModelProperty(value = "testDate", name = "创建时间")
    private LocalDateTime testDate;



}
