package com.huatek.busi.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class SimulateResultVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id", name = "唯一主键标识", required = true)
    private String id;

    @ApiModelProperty(value = "equipmentType", name = "设备类型")
    private String equipmentType;

    @ApiModelProperty(value = "pId", name = "树形关联编号")
    private String pId;

    @ApiModelProperty(value = "dataItemId", name = "输入项编号")
    private String dataItemId;

    @ApiModelProperty(value = "createUser", name = "创建者")
    private String createUser;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "dataItemJson", name = "输入数据项json")
    private String dataItemJson;
}
