package com.huatek.busi.vo;

import java.io.Serializable;
import java.math.BigDecimal;

import lombok.Data;

/**
 * 变压器运行工况统计Vo
 * 
 * @author anker_cheng
 * @date 2019/10/23
 */
@Data
public class TransformerRunStatusCountVo implements Serializable {
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    private String siteId;

    private String mainTreeId;

    private BigDecimal avgOilTemperature;
    private BigDecimal avgOilPosition;
    private BigDecimal avgCoolingEntryPressure;
    private BigDecimal avgCoolingExitPressure;

    private BigDecimal avgCoolingWaterOutletTemperature;
    private BigDecimal avgCoolingWaterInletTemperature;
}
