package com.huatek.busi.vo.cable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@ApiModel(value = "CableCirculationtemperIncreaseRateVo", description = "电缆环流增长率 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class CableCirculationtemperIncreaseRateVo {

    private static final long serialVersionUID = -3234895593526266652L;

    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;

    /**
     * 传感器编码
     */
    @ApiModelProperty(name = "sensorId", value = "传感器编码")
    private String sensorId;

    /**
     * 外挂设备ID
     */
    @ApiModelProperty(name = "subEquipmentId", value = "外挂设备ID")
    private String subEquipmentId;

    /**
     * 主设备ID
     */
    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;

    /**
     * 统计时间
     */
    @ApiModelProperty(name = "dTime", value = "统计时间")
    private String dTime;

    /**
     * 电流平均值
     */
    @ApiModelProperty(name = "averageCurrent", value = "电流平均值")
    private String averageCurrent;

    /**
     * 日增长率
     */
    @ApiModelProperty(name = "dailyGrowthRate", value = "日增长率")
    private String dailyGrowthRate;


    /**
     * 月增长率
     */
    @ApiModelProperty(name = "monthlyGrowthRate", value = "月增长率")
    private String monthlyGrowthRate;

    /**
     * 月平均电流
     */
    @ApiModelProperty(name = "monthAverageCurrent", value = "月平均电流")
    private String monthAverageCurrent;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private String createTime;
}
