package com.huatek.busi.vo.epa;

import java.io.Serializable;
import java.math.BigDecimal;

import lombok.Data;

@Data
public class EpaOneDataVo implements Serializable {

    private static final long serialVersionUID = 1L;

    private String siteId;
    private String mainTreeId;
    private String subTreeId;
    private String mainEquipmentId;
    private String subEquipmentId;
    private String sensorId;

    private String equipmentId;
    private String cacId;

    private BigDecimal totalCount;

    private BigDecimal avgCH4;

    private BigDecimal avgC2H2;

    private BigDecimal avgC2H4;

    private BigDecimal avgC2H6;

    private BigDecimal avgCO;

    private BigDecimal avgCO2;

    private BigDecimal avgH2;

    private BigDecimal avgH2O;

    private BigDecimal avgN2;

    private BigDecimal avgO2;

    private BigDecimal avgTmp;

    private BigDecimal avgDew;

    private BigDecimal avgMst;

    private BigDecimal avgFlatGas;

    private BigDecimal avgCmbuGas;

    private BigDecimal avgTotalHydrocarbon;
}
