package com.huatek.busi.vo.routinetest.arrester;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 测量绝缘电阻（MΩ）
 */

@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "InsulationResistance", description = "测量绝缘电阻（MΩ）")
public class InsulationResistance implements Serializable{
    
    /**
     *
     */
    private static final long serialVersionUID = 1L;
    
    /**
     * 实验内容
     */
    @ApiModelProperty(name = "experimentContent", value = "实验内容")
    private String experimentContent;
    
    /**
     * 实验设备
     */
    @ApiModelProperty(name = "experimentApparatus", value = "实验设备")
    private String experimentApparatus;
    
    private List<Resistance> items; 
    
//    /**
//     * 绝缘电阻A
//     */
//    @ApiModelProperty(name = "insulationResistanceA", value = "绝缘电阻A")
//    private InsulationResistanceA insulationResistanceA;
//    /**
//     * 绝缘电阻B
//     */
//    @ApiModelProperty(name = "insulationResistanceB", value = "绝缘电阻B")
//    private InsulationResistanceB insulationResistanceB;
//    /**
//     * 绝缘电阻C
//     */
//    @ApiModelProperty(name = "insulationResistanceC", value = "绝缘电阻C")
//    private InsulationResistanceC insulationResistanceC;
}
