package com.huatek.busi.vo.routinetest.gis;

import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 测量低电压动作值
 * 
 * @author anker_cheng
 * @date 2019/08/24
 */
@ApiModel(value = "LowVoltageActionPart", description = "测量低电压动作值", parent = GisBasePart.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class LowVoltageActionPart extends GisBasePart {
    private static final long serialVersionUID = -3377897180363854873L;

    @ApiModelProperty(name = "items", value = "列表")
    private List<GisBaseItemPart> items;
}
