package com.huatek.busi.vo.routinetest.gis;

import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/** SF6气体微水含量测试报告 */
@ApiModel(value = "Sf6GasWaterContentPart", description = "SF6气体微水含量测试报告", parent = GisBasePart.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class Sf6GasWaterContentPart extends GisBasePart {

    /**
     *
     */
    private static final long serialVersionUID = -8165855959124686940L;

    @ApiModelProperty(name = "items", value = "列表")
    private List<GisBaseItemPart> items;
}
