package com.huatek.busi.vo.routinetest.gis;

import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/** Sf6气体密度继电器精度测试报告 */
@ApiModel(value = "Sf6RelayAccuracyPart", description = "Sf6气体密度继电器精度测试报告", parent = GisBasePart.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class Sf6RelayAccuracyPart extends GisBasePart {
    /**
     *
     */
    private static final long serialVersionUID = 2535495527770354459L;

    /** 报警压力 */
    @ApiModelProperty(name = "alarmPressure", value = "报警压力")
    private String alarmPressure;

    /** 闭锁压力 */
    @ApiModelProperty(name = "lockPressure", value = "闭锁压力")
    private String lockPressure;

    @ApiModelProperty(name = "items", value = "列表")
    private List<GisBaseItem2Part> items;
}
