package com.huatek.busi.vo.stability;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class BaseStabilityVo implements Serializable{

	/** @Fields serialVersionUID : */ 
	private static final long serialVersionUID = 5899335421187786285L;

	@ApiModelProperty(name = "id", value = "主键")
	public String id ;
	
	@ApiModelProperty(name = "collectionTime", value = "采集时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	public LocalDateTime collectionTime;
	
	@ApiModelProperty(name = "runState", value = "运行状态")
	public String runState ;
	
	@ApiModelProperty(name = "sensorCode", value = "传感器编码")
	public String sensorCode ;
	
}
