/**
 * 
 */
package com.huatek.busi.vo.stability;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
  * @ClassName: IcgeStabilityVo
  * @FullClassPath: com.huatek.busi.vo.stability.IcgeStabilityVo
  * @Description: 铁芯夹件稳定性
  * @author: Arno
  * @date: Sep 16, 2019 3:26:58 PM
  * @version: 1.0
  */
@Data
@EqualsAndHashCode(callSuper = false)
public class IcgeStabilityVo extends BaseStabilityVo implements Serializable {
	
	/** @Fields serialVersionUID : */ 
	private static final long serialVersionUID = 1124544026529349836L;

	@ApiModelProperty(name = "totalCoreCurrent", value = "铁芯全电流（mA）")
	public String totalCoreCurrent ;
	
}
