package com.huatek.busi.vo.warning;

import java.io.Serializable;
import java.util.List;

import com.huatek.busi.vo.BusiSubInfoVo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 容性设备告警二级页面数据Vo
 * 
 * @author anker_cheng
 * @date 2019/08/09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "BusiCapaVo", description = "容性设备二级页面数据 Vo")
public class BusiCapaVo extends BusiSubInfoVo implements Serializable {
    private static final long serialVersionUID = -2574591505024618874L;

    private List<BusiCapaItemVo> list;
    
	@ApiModelProperty(name = "mainEquipmentName", value = "主设备名称")
    private String mainEquipmentName;
	
    @ApiModelProperty(name = "offlineReportNumber", value = "例行试验次数")
    private Integer offlineReportNumber;
}
