package com.huatek.busi.vo.warning;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
  * @ClassName: BusiOiTmplVo
  * @FullClassPath: com.huatek.busi.vo.BusiOiTmplVo
  * @Description: 
  * @author: Arno
  * @date: Aug 5, 2019 4:19:47 PM
  * @version: 1.0
  */
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiOiTmplVo implements Serializable {

	/** @Fields serialVersionUID : */ 
	private static final long serialVersionUID = -2623819560778273633L;

	@ApiModelProperty(name = "gasName", value = "气体类型")
	/** @Fields gasName :气体名称 */
	private String gasName;
	
	@ApiModelProperty(name = "gasValue", value = "气体数据")
	/** @Fields collectValue :气体数据 */
	private String gasValue;
	
	@ApiModelProperty(name = "dTime", value = "收集时间")
	/** @Fields collectValue :收集时间 */
	private String dTime;
	
	
	@ApiModelProperty(name = "relativeIncreaseRate", value = "增长率")
	/** @Fields increaseRate :相对增长率 */
	private String relativeIncreaseRate  =  "-";
	
	
	@ApiModelProperty(name = "increaseRate", value = "增长率")
	/** @Fields increaseRate :绝对增长率 */
	private String increaseRate  =  "-";
	
	@ApiModelProperty(name = "deviationRate", value = "精度偏差")
	/** @Fields accuracyIndex :精度偏差 */
	private String deviationRate  =  "-";

	@ApiModelProperty(name = "alarmValue", value = "报警值")
	/** @Fields alarmValue :报警值 */
	private String alarmValue  =  "-";
	
	@ApiModelProperty(name = "thresholdValue", value = "阈值")
	/** @Fields thresholdValue :阈值 */
	private String thresholdValue= "-";

	@ApiModelProperty(name = "accuracyIndex", value = "精度指标")
	/** @Fields accuracyIndex :精度指标 */
	private String accuracyIndex =  "-";

	@ApiModelProperty(name = "warningValue", value = "预警值")
	/** @Fields warningValue :预警值 */
	private String warningValue  =  "-";
	
	@ApiModelProperty(name = "stabilityIndex", value = "稳定性指标")
	/** @Fields stabilityIndex :稳定性指标 */
	private String stabilityIndex  =  "-";
}
