/**
 * 
 */
package com.huatek.busi.vo.warning;

import java.io.Serializable;
import java.util.List;

import com.huatek.busi.vo.BusiSubInfoVo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @ClassName: BusiIcgeVo
 * @FullClassPath: com.huatek.busi.vo.BusiIcgeVo
 * @Description: 油色谱二级页面数据.
 * @author: Arno
 * @date: Aug 2, 2019 2:44:24 PM
 * @version: 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "BusiOilVo", description = "油色谱二级页面数据 Vo")
public class BusiOilVo  extends BusiSubInfoVo implements Serializable{

	/** @Fields serialVersionUID : */ 
	private static final long serialVersionUID = -1170909185579505178L;

	@ApiModelProperty(name = "gasStatus", value = "载气状态")
	/** @Fields gasStatus :载气状态 */
	private String gasStatus;
	
	@ApiModelProperty(name = "gasPress", value = "载气")
	private String gasPress;
	
	@ApiModelProperty(name = "threeRatio", value = "三比值")
	/** @Fields threeRatio :三比值 */
	private String threeRatio;

	private List<BusiOiTmplVo> list ;
	
	@ApiModelProperty(name = "mainEquipmentName", value = "主设备名称")
    private String mainEquipmentName;
	
    @ApiModelProperty(name = "offlineReportNumber", value = "例行试验次数")
    private Integer offlineReportNumber;
}
