package com.huatek.busi.where;

import com.huatek.torch.sql.beans.PageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "algorithmBasicDataSelectVo", description = "算法实体类条件查询")
public class AlgorithmBasicDataSelectVo extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "算法名称", name = "algorithm", required=true)
    public String algorithm;

    @ApiModelProperty(value="父名称", name = "parentName", required=true)
    private String parentName;
}
