package com.huatek.busi.where;

import com.huatek.torch.sql.beans.PageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "calculateBasicDataSelectVo", description = "验算算法基础数据实体类条件查询")
public class CalculateBasicDataSelectVo extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "文件业务关联编号", name = "refId", required=true)
    public String refId;

    @ApiModelProperty(value = "deleted",name = "是否删除 0否 1是")
    private String deleted;
}
