package com.huatek.busi.service;

import com.huatek.busi.entity.LoadStatus;
import org.apache.ibatis.annotations.Param;


public interface LoadStatusService {

    /**
     * 查询其他设备负载状态
     *
     */
    LoadStatus findOtherLoadStatus(@Param("equipmentId") String equipmentId);

    /**
     * 查询变压器设备负载状态
     *
     */
    LoadStatus findTransformerLoadStatus(@Param("eqmCode") String eqmCode);

}
