package com.huatek.busi.service.Other;

import java.util.Map;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.OtherPdCacheDto;
import com.huatek.busi.dto.TransformerPdDto;
import com.huatek.busi.dto.monitor.BusiOnlineMonitorDataDto;
import com.huatek.busi.entity.TransformerPd;
import com.huatek.busi.vo.OtherPdCacheVo;



/**
 * 电缆局部放电暂存数据(  类型编码 ：027001) Service
 *
 * @author anker_cheng
 * @date Jun 26, 2019 6:32:08 PM
 */
public interface OtherPdCacheService {

    /**
     * 分页查找查找 变压器局部放电暂存数据(  类型编码 ：027001)
     *
     * @param otherPdCacheDto 电缆局部放电暂存数据(  类型编码 ：027001)Dto
     * @return Page<TransformerPdCacheVo> 电缆局部放电暂存数据(  类型编码 ：027001)List
     */
    PageInfo<OtherPdCacheVo> findOtherPdCachePage(OtherPdCacheDto otherPdCacheDto);

    
    PageInfo<Map<String, Object>> findOtherPdCachePage(BusiOnlineMonitorDataDto busiOnlineMonitorDataDto);

    /**
     * 保存电缆局放实时数据
     * 
     * @param transformerPd 局放数据
     * @return
     */
    int saveOtherPdCache(TransformerPd transformerPd);
    
    PageInfo<Map<String, Object>> findOtherPdCachePage(TransformerPdDto transformerPd);
}