package com.huatek.busi.service;

import java.math.BigDecimal;

import com.huatek.busi.common.UploadCycle.ConfigField;
import com.huatek.busi.vo.SiteUploadCycleVo;

/**
 * @ClassName: SiteUploadCycleService
 * @Description: TODO.
 * @author: arno
 * @Email : arno_fu@huatek.com
 * @date: 2018-09-22 16:10:25
 * @version: 1.0
 */
public interface SiteUploadCycleService {

    SiteUploadCycleVo findBySiteId(String siteId);

    /**
     * 获取上传周期
     * 
     * @param siteId
     *            站点ID
     * @param configField
     *            字段名
     * @return 上传周期配置
     */
    BigDecimal getCycle(String siteId, ConfigField configField);
}
