package com.huatek.busi.service.cable;

import com.huatek.busi.entity.BusiCableThreshold;
import com.huatek.busi.entity.BusiOtherThreshold;
import com.huatek.busi.vo.cable.CableCirculationDataVo;

/**
 * 电缆环流阈值接口
 *
 * @author Bobi_huo
 * @date 2020-09-16 13:17
 */
public interface BusiCableThresholdService {

    /**
     * 根据站点设备树ID获取其阈值
     * @param sensorCode
     * @return
     */
    BusiCableThreshold getCableThreshold(String mainTreeId, String runState, String sensorCode);

    /**
     * 根据sensorCode获取当前数据
     *
     * @param sensorCode
     * @return
     */
    CableCirculationDataVo getCableData(String sensorCode, String transformerId);

}
