package com.huatek.busi.service.cac;

import java.util.Map;

import com.huatek.busi.service.ParameterizedTypeService;
import com.huatek.torch.sql.beans.Pojo;

/**
 * CAC数据相关接口
 *
 * @author anker cheng
 *
 * @Date 2019年6月26日
 */
public interface CacEtlService<T extends Pojo> extends ParameterizedTypeService{

    /**
     * 保存CAC数据（历史数据）
     * 
     * @param transformerPd
     *            解析后的数据实体
     */
    void saveCACData(T cacEntity);

    /**
     * CAC历史数据分页查询
     * 
     * @param <VO>
     * @param params
     *            参数
     * @return
     */
    Map<String, Object> findCACPageData(Map<String, Object> params);


    /**
     * CAC数据导出
     * 
     * @param <VO>
     * @param params
     *            参数
     * @return
     */
    Map<String, Object> exportCacMonitorData(Map<String, Object> params);


}
