package com.huatek.busi.service.capacitance;

import com.huatek.busi.dto.CapacitanceEquipmentImCacheDto;
import com.huatek.busi.dto.EquipmentInfoDto;
import com.huatek.busi.entity.CapacitanceEquipmentIm;
import com.huatek.busi.vo.warning.BusiCapaVo;

/**
 * 电容型设备——绝缘监测：022001实时数据表 Service
 *
 * @author anker_cheng
 * @date Oct 28, 2019 7:02:03 PM
 */
public interface CapacitanceEquipmentImCacheService {

    int saveCapacitanceEquipmentImCache(CapacitanceEquipmentIm cacEntity, EquipmentInfoDto equipmentInfo);
    
    /**
     * 获取容性设备实时数据
     */
    BusiCapaVo getUptoDateCapacitanceMonitor(CapacitanceEquipmentImCacheDto cacheDto);
}
