package com.huatek.busi.service.job;

import java.util.Map;

import com.huatek.busi.dto.ScheduleJobLogDto;
import com.huatek.busi.entity.ScheduleJobLog;

/**
  * @ClassName: ScheduleJobLogService
  * @FullClassPath: com.huatek.busi.service.job.ScheduleJobLogService
  * @Description: 定时任务日志
  * @author: Arno
  * @date: Jul 4, 2019 10:41:04 AM
  * @version: 1.0
  */

public interface ScheduleJobLogService {

	
	/** 
	* @Title: insertLog 
	* @Description: 插入日志 
	* @createDate: Jul 4, 2019 10:43:34 AM
	* @param   
	* @return   void    
	* @throws 
	*/ 
	public void insertLog(ScheduleJobLog log);
	
	/**
	 * 分页获取定时任务日志列表
	 */
	Map<String, Object> findScheduleJobLogPage(ScheduleJobLogDto scheduleJobLog);
}
