package com.huatek.busi.service.temperature;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.EquipmentInfoDto;
import com.huatek.busi.dto.RptTemperDto;
import com.huatek.busi.entity.CwgTemperature;
import com.huatek.busi.vo.RptTemperVo;

/**
 * 测温柜-实时监测数据 Service
 *
 * @author anker_cheng
 * @date Jul 1, 2019 4:56:48 PM
 */
public interface RptTemperService {

    /**
     * 分页查找查找 测温柜-实时监测数据
     *
     * @param rptTemperDto 测温柜-实时监测数据Dto
     * @return Page<RptTemperVo> 测温柜-实时监测数据List
     */
    PageInfo<RptTemperVo> findRptTemperPage(RptTemperDto rptTemperDto);

    /**
     * 保存实时数据
     * 
     * @param cacEntity
     * @return
     */
    int saveRptTemper(CwgTemperature cacEntity, EquipmentInfoDto equipmentInfo);
}
