package com.huatek.busi.service.temperature;

import java.time.LocalDate;

import com.huatek.busi.entity.TemperIncreaseRate;
import com.huatek.busi.vo.CwgTemperatureStatisticsVo;

/**
 * @ClassName: TemperIncreaseRateCacheService
 * @Description: TODO.
 * @author: arno
 * @Email : arno_fu@huatek.com
 * @date: 2018-11-26 14:41:49
 * @version: 1.0
 */
public interface TemperIncreaseRateService {
    void saveTemperIncreaseRate(CwgTemperatureStatisticsVo item, LocalDate dTime);
    
    /**
     * 根据sensorCode获取最新增长率信息
     * @param sensorCode
     * @return
     */
    TemperIncreaseRate getTemperIncreaseRateBySensorCode(String sensorCode);

    /**
     * 根据sensorCode获取最新增长率信息
     * @param sensorCode
     * @param day
     * @return string
     */
    String getDailyGrowthRate(String sensorCode,LocalDate day);
}
