package com.huatek.busi.service.transformer;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Map;

import com.huatek.busi.entity.TransformerEpaAbsIncreaseStatistics;

/**
 * 变压器油色谱绝对产气速率统计 Service
 *
 * @author anker_cheng
 * @date Sep 26, 2019 8:59:05 PM
 */
public interface TransformerEpaAbsIncreaseStatisticsService {

    void saveTransformerEpaAbsIncreaseStatistics(LocalDateTime dateTime, TransformerEpaAbsIncreaseStatistics param);

    /**
     * 获取传感器某一天的绝对增长率
     * 
     * @param sensorCode
     * @param day
     * @return
     */
    Map<String, Object> getGrowthRateMap(String sensorCode, LocalDate day);
}
