package com.huatek.busi.service.transformer;

import java.util.List;

import com.huatek.busi.dto.TransformerRunStatusThresholdDto;
import com.huatek.busi.vo.TransformerRunStatusThresholdVo;

/**
 * 变压器运行工况阈值
 * @author buck_guo
 * @date 2019/08/07
 */
public interface TransformerRunStatusThresholdService {
    
    /**
     * 
     * @param siteId 站点id
     * @param mainTreeId 站点设备树ID
     * @return
     */
    TransformerRunStatusThresholdVo queryRunStatusThreshold(String siteId,String mainTreeId,String workStatus);
    
    List<TransformerRunStatusThresholdVo>  queryRunStatusThresholdByMainTreeId(String mainTreeId);
    
    /**
     * 新增或者保存信息
     * @param transformerRunStatusThresholdDto
     * @return
     */
    int insertOrUpdate(String token,TransformerRunStatusThresholdDto transformerRunStatusThresholdDto);    
    
    int insertTransformerRunStatusThreshold(String mainTreeId,String siteId);
}
