package com.huatek.busi.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.BusiGisSubTree;

/**
 * @ClassName: BusiGisSubTreeMapper
 * @FullClassPath: com.huatek.busi.mapper.BusiGisSubTreeMapper
 * @Description: GIS外挂设备节点树Mapper
 * @author: Arno
 * @date: Jun 26, 2019 3:12:02 PM
 * @version: 1.0
 */
@Repository
public interface BusiGisSubTreeMapper {

   
    
    /** 
    * @Title: findByEquipmentIdAndType 
    * @Description:  
    * @createDate: Jul 17, 2019 7:11:37 PM
    * @param   
    * @return   BusiTransfromerSubTree    
    * @throws 
    */ 
    BusiGisSubTree findByEquipmentIdAndType(@Param("equipmentId") String equipmentId, @Param("equipmentType") String equipmentType);

    List<BusiGisSubTree> findListByEquipmentIdAndType(@Param("equipmentId") String equipmentId, @Param("equipmentType") String equipmentType);

    /**
     * 根据主设备ID获取外挂设备列表
     * @param equipmentId
     * @return
     */
    List<BusiGisSubTree> findByEquipmentId(@Param("equipmentId") String equipmentId);
}
