package com.huatek.busi.mapper;

import com.huatek.busi.vo.BusiOfflineGeneratorBrandVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;


@Repository
public interface BusiOfflineGeneratorBrandMapper {
    /**
     * 获取发电机标牌信息VO
     *
     * @param siteId
     *            站点ID
     * @param mainEquipmentId
     *            主设备ID
     */
    BusiOfflineGeneratorBrandVo findBusiOfflineGeneratorBrandVo(@Param("siteId") String siteId,
                                                                @Param("mainEquipmentId") String mainEquipmentId);


    BusiOfflineGeneratorBrandVo findGenBrandVo(@Param("mainEquipmentId") String mainEquipmentId);
}
