package com.huatek.busi.mapper;

import java.util.List;

import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.BusiParamTemplet;

/**
 * 所有主设备权重系数模板表 Mapper
 *
 * @author anker_cheng
 * @date Jul 12, 2019 2:57:22 PM
 */
@Repository
public interface BusiParamTempletMapper {

    /**
     * 获取设备权重系数模板
     * 
     * @param paramType
     *            参数类型：</br>
     *            byq:变压器；</br>
     *            gis:GIS
     * @return
     */
    List<BusiParamTemplet> findBusiParams(String paramType);
}
