package com.huatek.busi.mapper;

import java.time.LocalDate;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.BusiTransformerLoad;

@Repository
public interface BusiTransformerLoadMapper {	
	
	/** 
	* @Title: findByEquipmentId 
	* @Description: TODO 
	* @createDate: Sep 3, 2019 1:25:08 PM
	* @param    siteId    站点ID
	* @param    equipmentId  变压器id
	* @return   BusiTransformerLoad    
	*/ 
	public BusiTransformerLoad getLoaByEquipmentIdAndDate(@Param("siteId")String siteId, @Param("equipmentId")String equipmentId,  @Param("loadTime")LocalDate loadTime);
	
	
	
	public List<BusiTransformerLoad> getLoaByEquipmentIdAndDates(@Param("siteId")String siteId, @Param("equipmentId")String equipmentId,  @Param("startTime")LocalDate startTime,  @Param("endTime")LocalDate endTime);

	String getLoadRate(@Param("mainTreeId")String mainTreeId, @Param("loadTime")LocalDate loadTime);
}
