package com.huatek.busi.mapper;

import java.util.Date;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.BusiTransfromTemperatureExcess;

/**
 * 变压器红外测温时间 Mapper
 *
 * @author anker_cheng
 * @date Jun 28, 2019 1:21:00 PM
 */
@Repository
public interface BusiTransfromTemperatureExcessMapper {

    /**
     * 变压器红外测温时间
     * 
     * @param siteId
     * @param siteEqmCode
     * @return
     */
    BusiTransfromTemperatureExcess getBusiTransfromTemperatureExcess(@Param("siteId") String siteId,
            @Param("siteEqmCode") String siteEqmCode);

	List<BusiTransfromTemperatureExcess> getEvalatuData(@Param("mainEquipmentId") String mainEquipmentId, @Param("startTime") Date startTime, @Param("endTime") Date endTime);
}
