package com.huatek.busi.mapper;

import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.GisPdCacheDto;
import com.huatek.busi.entity.GisPdCache;
import com.huatek.busi.entity.TransformerPd;
import com.huatek.busi.vo.GisPdCacheVo;

/**
 * 变压器局部放电暂存数据( 类型编码 ：024001) Mapper
 *
 * @author anker_cheng
 * @date Jun 26, 2019 6:32:06 PM
 */
@Repository
public interface GisPdCacheMapper {

    /**
     * 分页查询 变压器局部放电暂存数据( 类型编码 ：024001)
     *
     * @param gisPdCacheDto
     *            变压器局部放电暂存数据( 类型编码 ：024001)Dto
     * @return Page 变压器局部放电暂存数据( 类型编码 ：024001)List
     */
    Page<GisPdCacheVo> selectGisPdCachePage(GisPdCacheDto gisPdCacheDto);

    /**
     * 查询实时数据
     * 
     * @param transformerPd
     *            参数
     * @return
     */
    GisPdCache getGisPdCache(TransformerPd transformerPd);
}
