package com.huatek.busi.mapper;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.RptGisMonitorSf6Charts;

@Repository
public interface RptGisMonitorSf6ChartsMapper {

    List<RptGisMonitorSf6Charts> findRptGisMonitorSf6Chartses(@Param("siteId") String siteId,
        @Param("mainTreeId") String mainTreeId);

    int deleteOneDayData(@Param("day") LocalDate day);

    List<Map<String, Object>> getTemperRecordAvgByDay(@Param("startTime") LocalDateTime startTime,
        @Param("endTime") LocalDateTime endTime);
}