package com.huatek.busi.mapper;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.RptGisTemperSummary;

/**
 * GIS-红外测温每日汇总汇总表 Mapper
 *
 * @author anker_cheng
 * @date Sep 29, 2019 3:15:22 PM
 */
@Repository
public interface RptGisTemperSummaryMapper {

    int deleteOneDayData(@Param("day") LocalDate day);
    
    List<RptGisTemperSummary> findOneDayData(@Param("startTime") LocalDateTime startTime,
        @Param("endTime") LocalDateTime endTime);
}
