package com.huatek.busi.mapper;

import com.huatek.busi.vo.CwzzThresholdVo;
import com.huatek.busi.vo.Sf6EnvThresholdVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 绕组热阈值
 * @author buck_guo
 * @date 2019/08/09
 */
@Repository
public interface Sf6EnvThresholdMapper {
    public Sf6EnvThresholdVo querySf6EnvThreshold(@Param("sensorCode") String sensorCode, @Param("workStatus")String workStatus);

    public List<Sf6EnvThresholdVo> querSf6EnvThresholdBySensorCode(@Param("sensorCode") String sensorCode);

    public int updateSensorInsertSf6EnvBySensorCode(@Param("oldSensorCode") String oldSensorCode,@Param("newSensorCode") String newSensorCode);
}
