package com.huatek.busi.mapper;

import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.SysConfigDTO;
import com.huatek.busi.vo.SysConfigVO;


@Repository
public interface SysConfigMapper {

	/**
	 * 分页查询系统配置
     *
	 * @param busiSiteDto 系统配置Dto
	 * @return Page 系统配置List
	 */
	Page<SysConfigVO> selectSysConfigPage(SysConfigDTO sysConfigDto);
}

