package com.huatek.busi.mapper;

import java.time.LocalDateTime;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.TemperIncreaseRateCache;

/**
 * 温度增长率
 * 
 * @author buck_guo
 *
 */
@Repository
public interface TemperIncreaseRateCacheMapper {

    int deleteItem(@Param("sensorCode") String sensorCode, @Param("dTime") LocalDateTime dTime);

    TemperIncreaseRateCache getNearlyItem(@Param("sensorCode") String sensorCode, @Param("dTime") LocalDateTime dTime);
}
