package com.huatek.busi.mapper;

import java.math.BigDecimal;
import java.time.LocalDate;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.TransformerEpaDeviationStatistics;

/**
 * 变压器油色谱数据偏差率统计 Mapper
 *
 * @author anker_cheng
 * @date Jul 15, 2019 11:49:00 AM
 */
@Repository
public interface TransformerEpaDeviationStatisticsMapper {

    int deleteTransformerEpaDeviationStatistics(@Param("day") LocalDate day);

    BigDecimal getWorstEpaDeviation(@Param("sensorCode") String sensorCode,@Param("day") LocalDate day);
    
    TransformerEpaDeviationStatistics getTransformerEpaDeviationStatisticsInfo(@Param("sensorCode") String sensorCode,@Param("day") LocalDate day);
}
