package com.huatek.busi.mapper;

import org.springframework.stereotype.Repository;
import com.github.pagehelper.Page;

import com.huatek.busi.dto.TransformerTotDto;
import com.huatek.busi.vo.TransformerTotVo;

/**
 * 变压器/电抗器——顶层油温：021005 Mapper
 *
 * @author anker_cheng
 * @date Jun 25, 2019 5:35:32 PM
 */
@Repository
public interface  TransformerTotMapper {

	/**
	 * 分页查询 变压器/电抗器——顶层油温：021005
     *
	 * @param transformerTotDto 变压器/电抗器——顶层油温：021005Dto
	 * @return Page 变压器/电抗器——顶层油温：021005List
	 */
	Page<TransformerTotVo> selectTransformerTotPage(TransformerTotDto transformerTotDto);

}

