package com.huatek.busi.mapper;

import com.huatek.busi.vo.InfraredThresholdVo;
import com.huatek.busi.vo.WindingThresholdVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 绕组热阈值
 * @author buck_guo
 * @date 2019/08/09
 */
@Repository
public interface WindingThresholdMapper {
    public WindingThresholdVo queryWindingThreshold(@Param("sensorCode") String sensorCode, @Param("workStatus")String workStatus);

    public WindingThresholdVo queryWindingThresholdByCondition(@Param("sensorCode") String sensorCode,@Param("workStatus")String workStatus,@Param("regionPosition")String regionPosition);

    public List<WindingThresholdVo> queryWindingThresholdBySensorCode(@Param("sensorCode") String sensorCode);

    public int updateSensorInsertWindingBySensorCode(@Param("oldSensorCode") String oldSensorCode,@Param("newSensorCode") String newSensorCode);
}
