package com.huatek.busi.mapper.cable;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.cable.BusiCableCirculationCacheDto;
import com.huatek.busi.entity.BusiCableCirculationCache;
import com.huatek.busi.vo.cable.BusiCableCirculationCacheVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @author Bobi_huo
 * @date 2020-11-24 13:16
 */
@Repository
public interface BusiCableCirculationCacheMapper {

    /**
     * 分页查找查找 其他——电缆环流电流暂存数据(类型编码 ：028001)
     *
     * @param dto
     * @return
     */
    Page<BusiCableCirculationCacheVo> findCableCirculationCachePage(BusiCableCirculationCacheDto dto);

    /**
     * 根据树ID获取
     *
     * @param mainTreeId
     * @param subTreeId
     * @return
     */
    BusiCableCirculationCache findByTreeId(@Param("mainTreeId") String mainTreeId, @Param("subTreeId") String subTreeId);

}
