package com.huatek.busi.mapper.monitor;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

/**
 * 在线监测mapper方法定义
 * 
 * @author anker_cheng
 * @date 2019/09/18
 */
public interface BaseMonitorDataMapper {

    /**
     * 分组统计时间段内的监测数据的
     * 
     * @param startTime
     *            开始时间
     * @param endTime
     *            结束时间
     * @return
     */
    List<Map<String, Object>> queryMonitorDataList(@Param("startTime") LocalDateTime startTime,
        @Param("endTime") LocalDateTime endTime);
}
