package com.huatek.busi.service.impl;

import com.alibaba.dubbo.config.annotation.Service;
import com.huatek.busi.entity.LabGenReportBasisData;
import com.huatek.busi.entity.LabKggReportBasisData;
import com.huatek.busi.entity.LabReportBasisData;
import com.huatek.busi.service.IRGenBasisDataService;
import com.huatek.busi.service.IRKggBasisDataService;
import com.huatek.frame.base.util.BeanUtils;
import com.huatek.torch.sql.dao.impl.BaseDao;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

@Component
@Service(interfaceClass = IRGenBasisDataService.class)
@Transactional(rollbackFor = Exception.class)
public class LabGenReportBasisDataServiceImpl extends BaseDao<LabGenReportBasisData, String> implements IRGenBasisDataService {

    @Override
    public int insert(LabReportBasisData labReportBasisData){
        LabGenReportBasisData labGenReportBasisData = new LabGenReportBasisData();
        BeanUtils.copyProperties(labReportBasisData, labGenReportBasisData);
        return this.addLocal(labGenReportBasisData);
    }
}
