package com.huatek.busi.service.impl;

import com.alibaba.dubbo.config.annotation.Service;
import com.huatek.busi.entity.LabKggReportMarkStatistic;
import com.huatek.busi.entity.LabReportMarkStatistic;
import com.huatek.busi.service.ILabKggReportMarkStatisticService;
import com.huatek.busi.service.ILabReportMarkStatisticService;
import com.huatek.busi.vo.LabReportMarkStatisticVo;
import com.huatek.frame.base.util.BeanUtils;
import com.huatek.torch.sql.dao.impl.BaseDao;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

@Slf4j
@Component
@Service(interfaceClass = ILabKggReportMarkStatisticService.class)
@Transactional(rollbackFor = Exception.class)
public class LabKggReportMarkStatisticServiceImpl extends BaseDao<LabKggReportMarkStatistic, String> implements ILabKggReportMarkStatisticService {

    @Override
    public int insert(LabReportMarkStatisticVo labReportMarkStatisticVo){
        LabKggReportMarkStatistic labKggReportMarkStatistic = new LabKggReportMarkStatistic();
        BeanUtils.copyProperties(labReportMarkStatisticVo, labKggReportMarkStatistic);
        return this.add(labKggReportMarkStatistic);
    }
}
