package com.huatek.busi.service.impl.report.helper;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import org.springframework.stereotype.Component;

/**
 * 报告生成实现类注解定义
 * 
 * @author anker_cheng
 * @date 2019/10/17
 */
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Component
public @interface ReportImpl {

    String value() default "";

    String[] exportTypes();
}
