package com.huatek.busi.util;

public class Constant {
    /**
     * 为变压器退役时的健康指数
     */
    public static final Double END_INDEX = 0.25d;

    /**
     * 为变压器初始运行的健康指数
     */
    public static final Double INIT_INDEX = 0.988d;

    /**
     * 常量指数
     */
    public static final Double E = Math.E;

    /**
     * 相关系数
     */
    public  static final double K = 0.57d;

    public  static final double C = 13.4d;

    /*****************************************电缆载流能力计算所需参数*****************************************/

    /**
     * 护套损耗与线芯损耗之比
     */
    public  static final double RATE_1 = 0.0098479d;

    /**
     * 铠装损耗与线芯损耗之比
     */
    public  static final double RATE_2 = 0.0013465d;

    /**
     * 内衬层与填料热阻 ==0.0212
     */
    public  static final double T2 = 0.0212d;

    /**
     * 外护套单位长度热阻==0.1123
     */
    public  static final double T3 = 0.1123d;

    /**
     * 电缆表面和周围媒质之间单位长度热阻==0.3247
     */
    public  static final double T4 = 0.3247d;

    /*****************************************绕组热点温度计算所需参数*****************************************/

    /**
     * 环境温度
     */
    public  static final double ENVIRONMENT_TEMPERATURE = 20d;

    /**
     * 额定电流下的负载损耗和空载损耗之比
     */
    public  static final double R = 6d;

    /**
     * 负载系数，负载电流/额定电流
     */
    public  static final double K_NEW = 0.75d;

    /**
     * 油的指数
     */
    public  static final double X = 1d;

    /**
     * 绕组指数
     */
    public  static final double Y = 2d;


    /**
     * 升降参数
     */
    public static final String DOWN = "2";

    public static final String UP = "1";

    public static final String FATAL_FAILURE = "严重故障";

    public static final String FAULT = "故障";

    public static final String COMMONLY = "一般";

    public static final String GOOD = "良好";

    public static final String EXCELLENT = "优秀";

    public static final String IMMEDIATE_MAINTENANCE = "立即检修";

    public static final String RECONDITION = "尽快检修";

    public static final String PLAN_MAINTENANCE = "计划检修";

    public static final String EXTENDED_MAINTENANCE = "延期检修";

    public static final String NORMAL_OPERATION = "正常运行";
}
