package com.huatek.frame.base.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 系统_组织 Dto
 *
 * @author key_dong
 * @date 2018-7-11 14:03:45
 */
@Setter
@Getter
public class GroupDTO extends PageBean implements Serializable {
	private static final long serialVersionUID = 1L;
	/**
	 * 父id
	 */
	@ApiModelProperty(value="父id",name="groupParentId",required=true)
	private String groupParentId;
	/**
	 * 是否删除
	 */
	@ApiModelProperty(value="是否删除",name="deleted",required=true)
	private String deleted;
	/**
	 * 编号
	 */
	@ApiModelProperty(value="编号",name="groupCode",required=true)
	private String groupCode;
	/**
	 * 名称
	 */
	@ApiModelProperty(value="名称",name="groupName",required=true)
	private String groupName;
	/**
	 * 
	 */
	@ApiModelProperty(value="id",name="id",required=true)
	private String id;
	/**
	 * 创建时间
	 */
	@ApiModelProperty(value="创建时间",name="createDate",required=true)
	private LocalDateTime createDate;
}