package com.huatek.frame.base.entity;

import java.io.Serializable;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
/**
 * 区域 entity
 *
 * @author key_dong
 * @date 2018-7-11 12:37:46
 */
@Setter
@Getter
@TableName("sys_area")
public class Area extends Pojo implements Serializable  {
	

    /**
	 * 
	 */
	private static final long serialVersionUID = -1241332791109197242L;
	
	/**
     * 父id
     */
	@ApiModelProperty(value="父id",name="parent",required=true)
	@FieldName("parent")
    private String parent;
    
    /**
     * 编码
     */
	@ApiModelProperty(value="父id",name="parent",required=true)
    @FieldName("code")
    private String code;
    
    /**
     * 省
     */
	@ApiModelProperty(value="省",name="province",required=true)
    @FieldName("province")
    private String province;
    
    /**
     * 市
     */
	@ApiModelProperty(value="市",name="city",required=true)
    @FieldName("city")
    private String city;
    
    /**
     * 区
     */
	@ApiModelProperty(value="区",name="district",required=true)
    @FieldName("district")
    private String district;
    
    /**
     * 区域id
     */
	@ApiModelProperty(value="区域id",name="id",required=true)
	@Id("id")
    private String id;
    
    /**
     * 是否删除0否 1是
     */
    @FieldName("deleted")
    private String deleted;
}