package com.huatek.frame.base.entity;

import java.io.Serializable;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 *      模型装置表
 *  </p>
 *
 * @author Leo
 * @since 2023-03-03
 */
@Data
public class SysModelDevice implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 模型类型
     */
    @ApiModelProperty(value = "模型类型",  name="modelType")
    private String modelType;

    /**
     * 装置code
     */
    @ApiModelProperty(value = "装置code",  name="deviceCode")
    private String deviceCode;

    /**
     * 装置类型
     */
    @ApiModelProperty(value = "装置类型",  name="deviceName")
    private String deviceName;
}
