package com.huatek.frame.base.entity;

import java.io.Serializable;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Getter;
import lombok.Setter;
/**
 * 系统_用户_角色 entity
 *
 * @author key_dong
 * @date 2018-7-11 12:37:46
 */
@Setter
@Getter
@TableName("sys_user_role")
public class UserRole extends Pojo implements Serializable  { 

    /**
	 * 
	 */
	private static final long serialVersionUID = 7432126779883084505L;
	
	/**
     * 用户
     */
    @FieldName("uid")
    private String uid;
    
    /**
     * 角色
     */
    @FieldName("role_id")
    private String roleId;
}