package com.huatek.frame.base.vo;

import java.io.Serializable;
import java.util.List;

import com.huatek.frame.base.entity.Group;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 系统_角色 Vo
 *
 * @author key_dong
 * @date 2018-7-11 14:03:47
 */
@Setter
@Getter
public class RoleVO implements Serializable {
	private static final long serialVersionUID = 1L;
	/**
	 * 是否删除(0 否 1是)
	 */
	@ApiModelProperty(value="是否删除(0 否 1是)",name="deleted",required=true)
	private String deleted="";
	/**
	 * 备注
	 */
	@ApiModelProperty(value="备注",name="comment",required=true)
	private String comment="";
	/**
	 * 角色
	 */
	@ApiModelProperty(value="角色",name="role",required=true)
	private String role="";
	/**
	 * 
	 */
	@ApiModelProperty(value="id",name="id",required=true)
	private String id;

	@ApiModelProperty(value="用户id",name="userId",required=true)
	private String userId;
	/**
	 * 组织
	 */
	@ApiModelProperty(value="父组织",name="groupId",required=true)
	private String groupId="";
	
	/**
	 * 组织名称
	 */
	@ApiModelProperty(value="父组织名称",name="groupName",required=true)
	private String groupName=""; 
	
	/**
	 * 所有组织集合
	 */
	@ApiModelProperty(value="组织集合",name="datas",required=true)
	private List<Group> datas;  

}