package com.huatek.frame.base.mapper;

import java.util.List;

import com.huatek.frame.base.entity.Dictionnaire;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.frame.base.dto.DictionnaireDTO;
import com.huatek.frame.base.vo.DictionnaireVO;

/**
 * 系统_字典 Mapper
 *
 * @author key_dong
 * @date 2018-7-11 14:03:45
 */

@Repository
public interface DictionnaireMapper {

	/**
	 * 分页查询 系统_字典
	 * @param dto dto
	 * @return
	 */
	Page<DictionnaireVO> selectDictionnairePage(DictionnaireDTO dto);
	
	/**
	 * 获取系统所有字典集合(正常状态)
	 * @param deteled 是否删除  0 否 1是
	 * @return
	 */
	List<DictionnaireVO>  selectDictionnaires(String deteled);

	Dictionnaire findDictionnaireByKey(String key);
}
