package com.huatek.frame.base.mapper;

import java.util.Map;

import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.frame.base.dto.UserDTO;
import com.huatek.frame.base.vo.UserVO;

/**
 * 系统_用户 Mapper
 *
 * @author key_dong
 * @date 2018-7-11 14:03:45
 */

@Repository
public interface UserMapper   {

	/**
	 * 分页查询 系统_用户
     *
	 * @param dto dto
	 * @return Page Page
	 */
	Page<UserVO> selectUserPage(UserDTO dto);
	
	
	Page<UserVO> getUserByRoleId(Map<String, Object> map);
 }

